#include "windows_version.h"
#include <memory.h>
#define CAML_NAME_SPACE
#include <caml/mlvalues.h>
#include <caml/socketaddr.h>
#include <caml/threads.h>
#include <uv.h>
#include "helpers.h"
#include "ctypes_cstubs_internals.h"
value luv_stub_1_uv_strerror_r(value x3, value x2, value x1)
{
   int x4 = Long_val(x3);
   unsigned char* x7 = CTYPES_PTR_OF_OCAML_BYTES(x2);
   int x8 = Long_val(x1);
   uv_strerror_r(x4, x7, x8);
   return Val_unit;
}
value luv_stub_2_uv_err_name_r(value x14, value x13, value x12)
{
   int x15 = Long_val(x14);
   unsigned char* x18 = CTYPES_PTR_OF_OCAML_BYTES(x13);
   int x19 = Long_val(x12);
   uv_err_name_r(x15, x18, x19);
   return Val_unit;
}
value luv_stub_3_uv_translate_sys_error(value x23)
{
   int x24 = Long_val(x23);
   int x27 = uv_translate_sys_error(x24);
   return Val_long(x27);
}
value luv_stub_4_luv_version_suffix(value x28)
{
   char const* x29 = luv_version_suffix();
   return CTYPES_FROM_PTR(x29);
}
value luv_stub_5_uv_version(value x30)
{
   int x31 = uv_version();
   return Val_long(x31);
}
value luv_stub_6_luv_version_string(value x32)
{
   char const* x33 = luv_version_string();
   return CTYPES_FROM_PTR(x33);
}
value luv_stub_7_uv_loop_init(value x34)
{
   uv_loop_t* x35 = CTYPES_ADDR_OF_FATPTR(x34);
   int x36 = uv_loop_init(x35);
   return Val_long(x36);
}
value luv_stub_8_uv_loop_configure(value x39, value x38, value x37)
{
   uv_loop_t* x40 = CTYPES_ADDR_OF_FATPTR(x39);
   int x41 = Long_val(x38);
   int x44 = Long_val(x37);
   int x47 = uv_loop_configure(x40, x41, x44);
   return Val_long(x47);
}
value luv_stub_9_uv_loop_close(value x48)
{
   uv_loop_t* x49 = CTYPES_ADDR_OF_FATPTR(x48);
   int x50 = uv_loop_close(x49);
   return Val_long(x50);
}
value luv_stub_10_uv_default_loop(value x51)
{
   uv_loop_t* x52 = uv_default_loop();
   return CTYPES_FROM_PTR(x52);
}
value luv_stub_11_uv_loop_alive(value x53)
{
   uv_loop_t* x54 = CTYPES_ADDR_OF_FATPTR(x53);
   _Bool x55 = uv_loop_alive(x54);
   return Val_bool(x55);
}
value luv_stub_12_uv_stop(value x56)
{
   uv_loop_t* x57 = CTYPES_ADDR_OF_FATPTR(x56);
   uv_stop(x57);
   return Val_unit;
}
value luv_stub_13_uv_backend_fd(value x59)
{
   uv_loop_t* x60 = CTYPES_ADDR_OF_FATPTR(x59);
   int x61 = uv_backend_fd(x60);
   return Val_long(x61);
}
value luv_stub_14_uv_backend_timeout(value x62)
{
   uv_loop_t* x63 = CTYPES_ADDR_OF_FATPTR(x62);
   int x64 = uv_backend_timeout(x63);
   return Val_long(x64);
}
value luv_stub_15_uv_now(value x65)
{
   uv_loop_t* x66 = CTYPES_ADDR_OF_FATPTR(x65);
   uint64_t x67 = uv_now(x66);
   return integers_copy_uint64(x67);
}
value luv_stub_16_uv_update_time(value x68)
{
   uv_loop_t* x69 = CTYPES_ADDR_OF_FATPTR(x68);
   uv_update_time(x69);
   return Val_unit;
}
value luv_stub_17_uv_loop_fork(value x71)
{
   uv_loop_t* x72 = CTYPES_ADDR_OF_FATPTR(x71);
   int x73 = uv_loop_fork(x72);
   return Val_long(x73);
}
value luv_stub_18_uv_library_shutdown(value x74)
{
   uv_library_shutdown();
   return Val_unit;
}
value luv_stub_19_luv_get_close_trampoline(value x76)
{
   void(* x77)(uv_handle_t*) = luv_get_close_trampoline();
   return CTYPES_FROM_PTR(x77);
}
value luv_stub_20_luv_get_alloc_trampoline(value x78)
{
   void(* x79)(uv_handle_t*, size_t, uv_buf_t*) = luv_get_alloc_trampoline();
   return CTYPES_FROM_PTR(x79);
}
value luv_stub_21_uv_is_active(value x80)
{
   uv_handle_t* x81 = CTYPES_ADDR_OF_FATPTR(x80);
   _Bool x82 = uv_is_active(x81);
   return Val_bool(x82);
}
value luv_stub_22_uv_is_closing(value x83)
{
   uv_handle_t* x84 = CTYPES_ADDR_OF_FATPTR(x83);
   _Bool x85 = uv_is_closing(x84);
   return Val_bool(x85);
}
value luv_stub_23_uv_close(value x87, value x86)
{
   uv_handle_t* x88 = CTYPES_ADDR_OF_FATPTR(x87);
   void(* x89)(uv_handle_t*) = CTYPES_ADDR_OF_FATPTR(x86);
   uv_close(x88, x89);
   return Val_unit;
}
value luv_stub_24_uv_ref(value x91)
{
   uv_handle_t* x92 = CTYPES_ADDR_OF_FATPTR(x91);
   uv_ref(x92);
   return Val_unit;
}
value luv_stub_25_uv_unref(value x94)
{
   uv_handle_t* x95 = CTYPES_ADDR_OF_FATPTR(x94);
   uv_unref(x95);
   return Val_unit;
}
value luv_stub_26_uv_has_ref(value x97)
{
   uv_handle_t* x98 = CTYPES_ADDR_OF_FATPTR(x97);
   _Bool x99 = uv_has_ref(x98);
   return Val_bool(x99);
}
value luv_stub_27_uv_send_buffer_size(value x101, value x100)
{
   uv_handle_t* x102 = CTYPES_ADDR_OF_FATPTR(x101);
   int* x103 = CTYPES_ADDR_OF_FATPTR(x100);
   int x104 = uv_send_buffer_size(x102, x103);
   return Val_long(x104);
}
value luv_stub_28_uv_recv_buffer_size(value x106, value x105)
{
   uv_handle_t* x107 = CTYPES_ADDR_OF_FATPTR(x106);
   int* x108 = CTYPES_ADDR_OF_FATPTR(x105);
   int x109 = uv_recv_buffer_size(x107, x108);
   return Val_long(x109);
}
value luv_stub_29_uv_fileno(value x111, value x110)
{
   uv_handle_t* x112 = CTYPES_ADDR_OF_FATPTR(x111);
   uv_os_fd_t* x113 = CTYPES_ADDR_OF_FATPTR(x110);
   int x114 = uv_fileno(x112, x113);
   return Val_long(x114);
}
value luv_stub_30_uv_handle_get_loop(value x115)
{
   uv_handle_t* x116 = CTYPES_ADDR_OF_FATPTR(x115);
   uv_loop_t* x117 = uv_handle_get_loop(x116);
   return CTYPES_FROM_PTR(x117);
}
value luv_stub_31_uv_handle_get_data(value x118)
{
   uv_handle_t* x119 = CTYPES_ADDR_OF_FATPTR(x118);
   void* x120 = uv_handle_get_data(x119);
   return CTYPES_FROM_PTR(x120);
}
value luv_stub_32_uv_handle_set_data(value x122, value x121)
{
   uv_handle_t* x123 = CTYPES_ADDR_OF_FATPTR(x122);
   void* x124 = CTYPES_ADDR_OF_FATPTR(x121);
   uv_handle_set_data(x123, x124);
   return Val_unit;
}
value luv_stub_33_uv_cancel(value x126)
{
   uv_req_t* x127 = CTYPES_ADDR_OF_FATPTR(x126);
   int x128 = uv_cancel(x127);
   return Val_long(x128);
}
value luv_stub_34_uv_req_get_data(value x129)
{
   uv_req_t* x130 = CTYPES_ADDR_OF_FATPTR(x129);
   void* x131 = uv_req_get_data(x130);
   return CTYPES_FROM_PTR(x131);
}
value luv_stub_35_uv_req_set_data(value x133, value x132)
{
   uv_req_t* x134 = CTYPES_ADDR_OF_FATPTR(x133);
   void* x135 = CTYPES_ADDR_OF_FATPTR(x132);
   uv_req_set_data(x134, x135);
   return Val_unit;
}
value luv_stub_36_luv_get_timer_trampoline(value x137)
{
   void(* x138)(uv_timer_t*) = luv_get_timer_trampoline();
   return CTYPES_FROM_PTR(x138);
}
value luv_stub_37_uv_timer_init(value x140, value x139)
{
   uv_loop_t* x141 = CTYPES_ADDR_OF_FATPTR(x140);
   uv_timer_t* x142 = CTYPES_ADDR_OF_FATPTR(x139);
   int x143 = uv_timer_init(x141, x142);
   return Val_long(x143);
}
value luv_stub_38_uv_timer_start(value x147, value x146, value x145,
                                 value x144)
{
   uv_timer_t* x148 = CTYPES_ADDR_OF_FATPTR(x147);
   void(* x149)(uv_timer_t*) = CTYPES_ADDR_OF_FATPTR(x146);
   uint64_t x150 = Uint64_val(x145);
   uint64_t x153 = Uint64_val(x144);
   int x156 = uv_timer_start(x148, x149, x150, x153);
   return Val_long(x156);
}
value luv_stub_39_uv_timer_stop(value x157)
{
   uv_timer_t* x158 = CTYPES_ADDR_OF_FATPTR(x157);
   int x159 = uv_timer_stop(x158);
   return Val_long(x159);
}
value luv_stub_40_uv_timer_again(value x160)
{
   uv_timer_t* x161 = CTYPES_ADDR_OF_FATPTR(x160);
   int x162 = uv_timer_again(x161);
   return Val_long(x162);
}
value luv_stub_41_uv_timer_set_repeat(value x164, value x163)
{
   uv_timer_t* x165 = CTYPES_ADDR_OF_FATPTR(x164);
   uint64_t x166 = Uint64_val(x163);
   uv_timer_set_repeat(x165, x166);
   return Val_unit;
}
value luv_stub_42_uv_timer_get_repeat(value x170)
{
   uv_timer_t* x171 = CTYPES_ADDR_OF_FATPTR(x170);
   uint64_t x172 = uv_timer_get_repeat(x171);
   return integers_copy_uint64(x172);
}
value luv_stub_43_uv_timer_get_due_in(value x173)
{
   uv_timer_t* x174 = CTYPES_ADDR_OF_FATPTR(x173);
   uint64_t x175 = uv_timer_get_due_in(x174);
   return integers_copy_uint64(x175);
}
value luv_stub_44_luv_get_prepare_trampoline(value x176)
{
   void(* x177)(uv_prepare_t*) = luv_get_prepare_trampoline();
   return CTYPES_FROM_PTR(x177);
}
value luv_stub_45_uv_prepare_init(value x179, value x178)
{
   uv_loop_t* x180 = CTYPES_ADDR_OF_FATPTR(x179);
   uv_prepare_t* x181 = CTYPES_ADDR_OF_FATPTR(x178);
   int x182 = uv_prepare_init(x180, x181);
   return Val_long(x182);
}
value luv_stub_46_uv_prepare_start(value x184, value x183)
{
   uv_prepare_t* x185 = CTYPES_ADDR_OF_FATPTR(x184);
   void(* x186)(uv_prepare_t*) = CTYPES_ADDR_OF_FATPTR(x183);
   int x187 = uv_prepare_start(x185, x186);
   return Val_long(x187);
}
value luv_stub_47_uv_prepare_stop(value x188)
{
   uv_prepare_t* x189 = CTYPES_ADDR_OF_FATPTR(x188);
   int x190 = uv_prepare_stop(x189);
   return Val_long(x190);
}
value luv_stub_48_luv_get_check_trampoline(value x191)
{
   void(* x192)(uv_check_t*) = luv_get_check_trampoline();
   return CTYPES_FROM_PTR(x192);
}
value luv_stub_49_uv_check_init(value x194, value x193)
{
   uv_loop_t* x195 = CTYPES_ADDR_OF_FATPTR(x194);
   uv_check_t* x196 = CTYPES_ADDR_OF_FATPTR(x193);
   int x197 = uv_check_init(x195, x196);
   return Val_long(x197);
}
value luv_stub_50_uv_check_start(value x199, value x198)
{
   uv_check_t* x200 = CTYPES_ADDR_OF_FATPTR(x199);
   void(* x201)(uv_check_t*) = CTYPES_ADDR_OF_FATPTR(x198);
   int x202 = uv_check_start(x200, x201);
   return Val_long(x202);
}
value luv_stub_51_uv_check_stop(value x203)
{
   uv_check_t* x204 = CTYPES_ADDR_OF_FATPTR(x203);
   int x205 = uv_check_stop(x204);
   return Val_long(x205);
}
value luv_stub_52_luv_get_idle_trampoline(value x206)
{
   void(* x207)(uv_idle_t*) = luv_get_idle_trampoline();
   return CTYPES_FROM_PTR(x207);
}
value luv_stub_53_uv_idle_init(value x209, value x208)
{
   uv_loop_t* x210 = CTYPES_ADDR_OF_FATPTR(x209);
   uv_idle_t* x211 = CTYPES_ADDR_OF_FATPTR(x208);
   int x212 = uv_idle_init(x210, x211);
   return Val_long(x212);
}
value luv_stub_54_uv_idle_start(value x214, value x213)
{
   uv_idle_t* x215 = CTYPES_ADDR_OF_FATPTR(x214);
   void(* x216)(uv_idle_t*) = CTYPES_ADDR_OF_FATPTR(x213);
   int x217 = uv_idle_start(x215, x216);
   return Val_long(x217);
}
value luv_stub_55_uv_idle_stop(value x218)
{
   uv_idle_t* x219 = CTYPES_ADDR_OF_FATPTR(x218);
   int x220 = uv_idle_stop(x219);
   return Val_long(x220);
}
value luv_stub_56_luv_get_async_trampoline(value x221)
{
   void(* x222)(uv_async_t*) = luv_get_async_trampoline();
   return CTYPES_FROM_PTR(x222);
}
value luv_stub_57_uv_async_init(value x225, value x224, value x223)
{
   uv_loop_t* x226 = CTYPES_ADDR_OF_FATPTR(x225);
   uv_async_t* x227 = CTYPES_ADDR_OF_FATPTR(x224);
   void(* x228)(uv_async_t*) = CTYPES_ADDR_OF_FATPTR(x223);
   int x229 = uv_async_init(x226, x227, x228);
   return Val_long(x229);
}
value luv_stub_58_uv_async_send(value x230)
{
   uv_async_t* x231 = CTYPES_ADDR_OF_FATPTR(x230);
   int x232 = uv_async_send(x231);
   return Val_long(x232);
}
value luv_stub_59_luv_get_poll_trampoline(value x233)
{
   void(* x234)(uv_poll_t*, int, int) = luv_get_poll_trampoline();
   return CTYPES_FROM_PTR(x234);
}
value luv_stub_60_uv_poll_init(value x237, value x236, value x235)
{
   uv_loop_t* x238 = CTYPES_ADDR_OF_FATPTR(x237);
   uv_poll_t* x239 = CTYPES_ADDR_OF_FATPTR(x236);
   int x240 = Long_val(x235);
   int x243 = uv_poll_init(x238, x239, x240);
   return Val_long(x243);
}
value luv_stub_61_uv_poll_init_socket(value x246, value x245, value x244)
{
   uv_loop_t* x247 = CTYPES_ADDR_OF_FATPTR(x246);
   uv_poll_t* x248 = CTYPES_ADDR_OF_FATPTR(x245);
   void* x249 = CTYPES_ADDR_OF_FATPTR(x244);
   uv_os_sock_t x251 = *(uv_os_sock_t*)x249;
   int x252 = uv_poll_init_socket(x247, x248, x251);
   return Val_long(x252);
}
value luv_stub_62_uv_poll_start(value x255, value x254, value x253)
{
   uv_poll_t* x256 = CTYPES_ADDR_OF_FATPTR(x255);
   int x257 = Long_val(x254);
   void(* x260)(uv_poll_t*, int, int) = CTYPES_ADDR_OF_FATPTR(x253);
   int x261 = uv_poll_start(x256, x257, x260);
   return Val_long(x261);
}
value luv_stub_63_uv_poll_stop(value x262)
{
   uv_poll_t* x263 = CTYPES_ADDR_OF_FATPTR(x262);
   int x264 = uv_poll_stop(x263);
   return Val_long(x264);
}
value luv_stub_64_luv_get_signal_trampoline(value x265)
{
   void(* x266)(uv_signal_t*, int) = luv_get_signal_trampoline();
   return CTYPES_FROM_PTR(x266);
}
value luv_stub_65_uv_signal_init(value x268, value x267)
{
   uv_loop_t* x269 = CTYPES_ADDR_OF_FATPTR(x268);
   uv_signal_t* x270 = CTYPES_ADDR_OF_FATPTR(x267);
   int x271 = uv_signal_init(x269, x270);
   return Val_long(x271);
}
value luv_stub_66_uv_signal_start(value x274, value x273, value x272)
{
   uv_signal_t* x275 = CTYPES_ADDR_OF_FATPTR(x274);
   void(* x276)(uv_signal_t*, int) = CTYPES_ADDR_OF_FATPTR(x273);
   int x277 = Long_val(x272);
   int x280 = uv_signal_start(x275, x276, x277);
   return Val_long(x280);
}
value luv_stub_67_uv_signal_start_oneshot(value x283, value x282, value x281)
{
   uv_signal_t* x284 = CTYPES_ADDR_OF_FATPTR(x283);
   void(* x285)(uv_signal_t*, int) = CTYPES_ADDR_OF_FATPTR(x282);
   int x286 = Long_val(x281);
   int x289 = uv_signal_start_oneshot(x284, x285, x286);
   return Val_long(x289);
}
value luv_stub_68_uv_signal_stop(value x290)
{
   uv_signal_t* x291 = CTYPES_ADDR_OF_FATPTR(x290);
   int x292 = uv_signal_stop(x291);
   return Val_long(x292);
}
value luv_stub_69_luv_get_connect_trampoline(value x293)
{
   void(* x294)(uv_connect_t*, int) = luv_get_connect_trampoline();
   return CTYPES_FROM_PTR(x294);
}
value luv_stub_70_luv_get_shutdown_trampoline(value x295)
{
   void(* x296)(uv_shutdown_t*, int) = luv_get_shutdown_trampoline();
   return CTYPES_FROM_PTR(x296);
}
value luv_stub_71_luv_get_write_trampoline(value x297)
{
   void(* x298)(uv_write_t*, int) = luv_get_write_trampoline();
   return CTYPES_FROM_PTR(x298);
}
value luv_stub_72_luv_get_connection_trampoline(value x299)
{
   void(* x300)(uv_stream_t*, int) = luv_get_connection_trampoline();
   return CTYPES_FROM_PTR(x300);
}
value luv_stub_73_luv_get_read_trampoline(value x301)
{
   void(* x302)(uv_stream_t*, ssize_t, uv_buf_t*) = luv_get_read_trampoline();
   return CTYPES_FROM_PTR(x302);
}
value luv_stub_74_uv_shutdown(value x305, value x304, value x303)
{
   uv_shutdown_t* x306 = CTYPES_ADDR_OF_FATPTR(x305);
   uv_stream_t* x307 = CTYPES_ADDR_OF_FATPTR(x304);
   void(* x308)(uv_shutdown_t*, int) = CTYPES_ADDR_OF_FATPTR(x303);
   int x309 = uv_shutdown(x306, x307, x308);
   return Val_long(x309);
}
value luv_stub_75_uv_listen(value x312, value x311, value x310)
{
   uv_stream_t* x313 = CTYPES_ADDR_OF_FATPTR(x312);
   int x314 = Long_val(x311);
   void(* x317)(uv_stream_t*, int) = CTYPES_ADDR_OF_FATPTR(x310);
   int x318 = uv_listen(x313, x314, x317);
   return Val_long(x318);
}
value luv_stub_76_uv_accept(value x320, value x319)
{
   uv_stream_t* x321 = CTYPES_ADDR_OF_FATPTR(x320);
   uv_stream_t* x322 = CTYPES_ADDR_OF_FATPTR(x319);
   int x323 = uv_accept(x321, x322);
   return Val_long(x323);
}
value luv_stub_77_luv_read_start(value x326, value x325, value x324)
{
   uv_stream_t* x327 = CTYPES_ADDR_OF_FATPTR(x326);
   void(* x328)(uv_handle_t*, size_t, uv_buf_t*) =
   CTYPES_ADDR_OF_FATPTR(x325);
   void(* x329)(uv_stream_t*, ssize_t, uv_buf_t*) =
   CTYPES_ADDR_OF_FATPTR(x324);
   int x330 = luv_read_start(x327, x328, x329);
   return Val_long(x330);
}
value luv_stub_78_uv_read_stop(value x331)
{
   uv_stream_t* x332 = CTYPES_ADDR_OF_FATPTR(x331);
   int x333 = uv_read_stop(x332);
   return Val_long(x333);
}
value luv_stub_79_uv_write2(value x339, value x338, value x337, value x336,
                            value x335, value x334)
{
   uv_write_t* x340 = CTYPES_ADDR_OF_FATPTR(x339);
   uv_stream_t* x341 = CTYPES_ADDR_OF_FATPTR(x338);
   uv_buf_t* x342 = CTYPES_ADDR_OF_FATPTR(x337);
   unsigned int x343 = ctypes_uint_val(x336);
   uv_stream_t* x346 = CTYPES_ADDR_OF_FATPTR(x335);
   void(* x347)(uv_write_t*, int) = CTYPES_ADDR_OF_FATPTR(x334);
   int x348 = uv_write2(x340, x341, x342, x343, x346, x347);
   return Val_long(x348);
}
value luv_stub_79_uv_write2_byte6(value* argv, int argc)
{
   value x349 = argv[5];
   value x350 = argv[4];
   value x351 = argv[3];
   value x352 = argv[2];
   value x353 = argv[1];
   value x354 = argv[0];
   return luv_stub_79_uv_write2(x354, x353, x352, x351, x350, x349);
}
value luv_stub_80_uv_try_write(value x357, value x356, value x355)
{
   uv_stream_t* x358 = CTYPES_ADDR_OF_FATPTR(x357);
   uv_buf_t* x359 = CTYPES_ADDR_OF_FATPTR(x356);
   unsigned int x360 = ctypes_uint_val(x355);
   int x363 = uv_try_write(x358, x359, x360);
   return Val_long(x363);
}
value luv_stub_81_uv_try_write2(value x367, value x366, value x365,
                                value x364)
{
   uv_stream_t* x368 = CTYPES_ADDR_OF_FATPTR(x367);
   uv_buf_t* x369 = CTYPES_ADDR_OF_FATPTR(x366);
   unsigned int x370 = ctypes_uint_val(x365);
   uv_stream_t* x373 = CTYPES_ADDR_OF_FATPTR(x364);
   int x374 = uv_try_write2(x368, x369, x370, x373);
   return Val_long(x374);
}
value luv_stub_82_uv_is_readable(value x375)
{
   uv_stream_t* x376 = CTYPES_ADDR_OF_FATPTR(x375);
   _Bool x377 = uv_is_readable(x376);
   return Val_bool(x377);
}
value luv_stub_83_uv_is_writable(value x378)
{
   uv_stream_t* x379 = CTYPES_ADDR_OF_FATPTR(x378);
   _Bool x380 = uv_is_writable(x379);
   return Val_bool(x380);
}
value luv_stub_84_uv_stream_set_blocking(value x382, value x381)
{
   uv_stream_t* x383 = CTYPES_ADDR_OF_FATPTR(x382);
   _Bool x384 = Bool_val(x381);
   int x387 = uv_stream_set_blocking(x383, x384);
   return Val_long(x387);
}
value luv_stub_85_uv_stream_get_write_queue_size(value x388)
{
   uv_stream_t* x389 = CTYPES_ADDR_OF_FATPTR(x388);
   size_t x390 = uv_stream_get_write_queue_size(x389);
   return ctypes_copy_size_t(x390);
}
value luv_stub_86_uv_tcp_init(value x392, value x391)
{
   uv_loop_t* x393 = CTYPES_ADDR_OF_FATPTR(x392);
   uv_tcp_t* x394 = CTYPES_ADDR_OF_FATPTR(x391);
   int x395 = uv_tcp_init(x393, x394);
   return Val_long(x395);
}
value luv_stub_87_uv_tcp_init_ex(value x398, value x397, value x396)
{
   uv_loop_t* x399 = CTYPES_ADDR_OF_FATPTR(x398);
   uv_tcp_t* x400 = CTYPES_ADDR_OF_FATPTR(x397);
   unsigned int x401 = ctypes_uint_val(x396);
   int x404 = uv_tcp_init_ex(x399, x400, x401);
   return Val_long(x404);
}
value luv_stub_88_uv_tcp_open(value x406, value x405)
{
   uv_tcp_t* x407 = CTYPES_ADDR_OF_FATPTR(x406);
   void* x408 = CTYPES_ADDR_OF_FATPTR(x405);
   uv_os_sock_t x410 = *(uv_os_sock_t*)x408;
   int x411 = uv_tcp_open(x407, x410);
   return Val_long(x411);
}
value luv_stub_89_uv_socketpair(value x416, value x415, value x414,
                                value x413, value x412)
{
   int x417 = Long_val(x416);
   int x420 = Long_val(x415);
   uv_os_sock_t* x423 = CTYPES_ADDR_OF_FATPTR(x414);
   int x424 = Long_val(x413);
   int x427 = Long_val(x412);
   int x430 = uv_socketpair(x417, x420, x423, x424, x427);
   return Val_long(x430);
}
value luv_stub_90_uv_tcp_nodelay(value x432, value x431)
{
   uv_tcp_t* x433 = CTYPES_ADDR_OF_FATPTR(x432);
   _Bool x434 = Bool_val(x431);
   int x437 = uv_tcp_nodelay(x433, x434);
   return Val_long(x437);
}
value luv_stub_91_uv_tcp_keepalive(value x440, value x439, value x438)
{
   uv_tcp_t* x441 = CTYPES_ADDR_OF_FATPTR(x440);
   _Bool x442 = Bool_val(x439);
   int x445 = Long_val(x438);
   int x448 = uv_tcp_keepalive(x441, x442, x445);
   return Val_long(x448);
}
value luv_stub_92_uv_tcp_simultaneous_accepts(value x450, value x449)
{
   uv_tcp_t* x451 = CTYPES_ADDR_OF_FATPTR(x450);
   _Bool x452 = Bool_val(x449);
   int x455 = uv_tcp_simultaneous_accepts(x451, x452);
   return Val_long(x455);
}
value luv_stub_93_uv_tcp_bind(value x458, value x457, value x456)
{
   uv_tcp_t* x459 = CTYPES_ADDR_OF_FATPTR(x458);
   struct sockaddr* x460 = CTYPES_ADDR_OF_FATPTR(x457);
   int x461 = Long_val(x456);
   int x464 = uv_tcp_bind(x459, x460, x461);
   return Val_long(x464);
}
value luv_stub_94_uv_tcp_getsockname(value x467, value x466, value x465)
{
   uv_tcp_t* x468 = CTYPES_ADDR_OF_FATPTR(x467);
   struct sockaddr* x469 = CTYPES_ADDR_OF_FATPTR(x466);
   int* x470 = CTYPES_ADDR_OF_FATPTR(x465);
   int x471 = uv_tcp_getsockname(x468, x469, x470);
   return Val_long(x471);
}
value luv_stub_95_uv_tcp_getpeername(value x474, value x473, value x472)
{
   uv_tcp_t* x475 = CTYPES_ADDR_OF_FATPTR(x474);
   struct sockaddr* x476 = CTYPES_ADDR_OF_FATPTR(x473);
   int* x477 = CTYPES_ADDR_OF_FATPTR(x472);
   int x478 = uv_tcp_getpeername(x475, x476, x477);
   return Val_long(x478);
}
value luv_stub_96_uv_tcp_connect(value x482, value x481, value x480,
                                 value x479)
{
   uv_connect_t* x483 = CTYPES_ADDR_OF_FATPTR(x482);
   uv_tcp_t* x484 = CTYPES_ADDR_OF_FATPTR(x481);
   struct sockaddr* x485 = CTYPES_ADDR_OF_FATPTR(x480);
   void(* x486)(uv_connect_t*, int) = CTYPES_ADDR_OF_FATPTR(x479);
   int x487 = uv_tcp_connect(x483, x484, x485, x486);
   return Val_long(x487);
}
value luv_stub_97_uv_tcp_close_reset(value x489, value x488)
{
   uv_tcp_t* x490 = CTYPES_ADDR_OF_FATPTR(x489);
   void(* x491)(uv_handle_t*) = CTYPES_ADDR_OF_FATPTR(x488);
   int x492 = uv_tcp_close_reset(x490, x491);
   return Val_long(x492);
}
value luv_stub_98_uv_pipe_init(value x495, value x494, value x493)
{
   uv_loop_t* x496 = CTYPES_ADDR_OF_FATPTR(x495);
   uv_pipe_t* x497 = CTYPES_ADDR_OF_FATPTR(x494);
   _Bool x498 = Bool_val(x493);
   int x501 = uv_pipe_init(x496, x497, x498);
   return Val_long(x501);
}
value luv_stub_99_uv_pipe(value x504, value x503, value x502)
{
   int* x505 = CTYPES_ADDR_OF_FATPTR(x504);
   int x506 = Long_val(x503);
   int x509 = Long_val(x502);
   int x512 = uv_pipe(x505, x506, x509);
   return Val_long(x512);
}
value luv_stub_100_uv_pipe_open(value x514, value x513)
{
   uv_pipe_t* x515 = CTYPES_ADDR_OF_FATPTR(x514);
   int x516 = Long_val(x513);
   int x519 = uv_pipe_open(x515, x516);
   return Val_long(x519);
}
value luv_stub_101_uv_pipe_connect(value x523, value x522, value x521,
                                   value x520)
{
   uv_connect_t* x524 = CTYPES_ADDR_OF_FATPTR(x523);
   uv_pipe_t* x525 = CTYPES_ADDR_OF_FATPTR(x522);
   char* x526 = CTYPES_PTR_OF_OCAML_STRING(x521);
   void(* x527)(uv_connect_t*, int) = CTYPES_ADDR_OF_FATPTR(x520);
   uv_pipe_connect(x524, x525, x526, x527);
   return Val_unit;
}
value luv_stub_102_uv_pipe_connect2(value x534, value x533, value x532,
                                    value x531, value x530, value x529)
{
   uv_connect_t* x535 = CTYPES_ADDR_OF_FATPTR(x534);
   uv_pipe_t* x536 = CTYPES_ADDR_OF_FATPTR(x533);
   char* x537 = CTYPES_PTR_OF_OCAML_STRING(x532);
   size_t x538 = ctypes_size_t_val(x531);
   int x541 = Long_val(x530);
   void(* x544)(uv_connect_t*, int) = CTYPES_ADDR_OF_FATPTR(x529);
   uv_pipe_connect2(x535, x536, x537, x538, x541, x544);
   return Val_unit;
}
value luv_stub_102_uv_pipe_connect2_byte6(value* argv, int argc)
{
   value x546 = argv[5];
   value x547 = argv[4];
   value x548 = argv[3];
   value x549 = argv[2];
   value x550 = argv[1];
   value x551 = argv[0];
   return luv_stub_102_uv_pipe_connect2(x551, x550, x549, x548, x547, x546);
}
value luv_stub_103_uv_pipe_getsockname(value x554, value x553, value x552)
{
   uv_pipe_t* x555 = CTYPES_ADDR_OF_FATPTR(x554);
   unsigned char* x556 = CTYPES_PTR_OF_OCAML_BYTES(x553);
   size_t* x557 = CTYPES_ADDR_OF_FATPTR(x552);
   int x558 = uv_pipe_getsockname(x555, x556, x557);
   return Val_long(x558);
}
value luv_stub_104_uv_pipe_getpeername(value x561, value x560, value x559)
{
   uv_pipe_t* x562 = CTYPES_ADDR_OF_FATPTR(x561);
   unsigned char* x563 = CTYPES_PTR_OF_OCAML_BYTES(x560);
   size_t* x564 = CTYPES_ADDR_OF_FATPTR(x559);
   int x565 = uv_pipe_getpeername(x562, x563, x564);
   return Val_long(x565);
}
value luv_stub_105_uv_pipe_pending_instances(value x567, value x566)
{
   uv_pipe_t* x568 = CTYPES_ADDR_OF_FATPTR(x567);
   int x569 = Long_val(x566);
   uv_pipe_pending_instances(x568, x569);
   return Val_unit;
}
value luv_stub_106_uv_pipe_pending_count(value x573)
{
   uv_pipe_t* x574 = CTYPES_ADDR_OF_FATPTR(x573);
   int x575 = uv_pipe_pending_count(x574);
   return Val_long(x575);
}
value luv_stub_107_uv_pipe_pending_type(value x576)
{
   uv_pipe_t* x577 = CTYPES_ADDR_OF_FATPTR(x576);
   int x578 = uv_pipe_pending_type(x577);
   return Val_long(x578);
}
value luv_stub_108_uv_pipe_chmod(value x580, value x579)
{
   uv_pipe_t* x581 = CTYPES_ADDR_OF_FATPTR(x580);
   int x582 = Long_val(x579);
   int x585 = uv_pipe_chmod(x581, x582);
   return Val_long(x585);
}
value luv_stub_109_uv_tty_init(value x589, value x588, value x587,
                               value x586)
{
   uv_loop_t* x590 = CTYPES_ADDR_OF_FATPTR(x589);
   uv_tty_t* x591 = CTYPES_ADDR_OF_FATPTR(x588);
   int x592 = Long_val(x587);
   int x595 = Long_val(x586);
   int x598 = uv_tty_init(x590, x591, x592, x595);
   return Val_long(x598);
}
value luv_stub_110_uv_tty_set_mode(value x600, value x599)
{
   uv_tty_t* x601 = CTYPES_ADDR_OF_FATPTR(x600);
   uint32_t x602 = Uint32_val(x599);
   int x605 = uv_tty_set_mode(x601, x602);
   return Val_long(x605);
}
value luv_stub_111_uv_tty_reset_mode(value x606)
{
   int x607 = uv_tty_reset_mode();
   return Val_long(x607);
}
value luv_stub_112_uv_tty_get_winsize(value x610, value x609, value x608)
{
   uv_tty_t* x611 = CTYPES_ADDR_OF_FATPTR(x610);
   int* x612 = CTYPES_ADDR_OF_FATPTR(x609);
   int* x613 = CTYPES_ADDR_OF_FATPTR(x608);
   int x614 = uv_tty_get_winsize(x611, x612, x613);
   return Val_long(x614);
}
value luv_stub_113_uv_tty_set_vterm_state(value x615)
{
   uint32_t x616 = Uint32_val(x615);
   uv_tty_set_vterm_state(x616);
   return Val_unit;
}
value luv_stub_114_uv_tty_get_vterm_state(value x620)
{
   uv_tty_vtermstate_t* x621 = CTYPES_ADDR_OF_FATPTR(x620);
   int x622 = uv_tty_get_vterm_state(x621);
   return Val_long(x622);
}
value luv_stub_115_uv_udp_init(value x624, value x623)
{
   uv_loop_t* x625 = CTYPES_ADDR_OF_FATPTR(x624);
   uv_udp_t* x626 = CTYPES_ADDR_OF_FATPTR(x623);
   int x627 = uv_udp_init(x625, x626);
   return Val_long(x627);
}
value luv_stub_116_uv_udp_init_ex(value x630, value x629, value x628)
{
   uv_loop_t* x631 = CTYPES_ADDR_OF_FATPTR(x630);
   uv_udp_t* x632 = CTYPES_ADDR_OF_FATPTR(x629);
   unsigned int x633 = ctypes_uint_val(x628);
   int x636 = uv_udp_init_ex(x631, x632, x633);
   return Val_long(x636);
}
value luv_stub_117_uv_udp_open(value x638, value x637)
{
   uv_udp_t* x639 = CTYPES_ADDR_OF_FATPTR(x638);
   void* x640 = CTYPES_ADDR_OF_FATPTR(x637);
   uv_os_sock_t x642 = *(uv_os_sock_t*)x640;
   int x643 = uv_udp_open(x639, x642);
   return Val_long(x643);
}
value luv_stub_118_uv_udp_bind(value x646, value x645, value x644)
{
   uv_udp_t* x647 = CTYPES_ADDR_OF_FATPTR(x646);
   struct sockaddr* x648 = CTYPES_ADDR_OF_FATPTR(x645);
   int x649 = Long_val(x644);
   int x652 = uv_udp_bind(x647, x648, x649);
   return Val_long(x652);
}
value luv_stub_119_uv_udp_connect(value x654, value x653)
{
   uv_udp_t* x655 = CTYPES_ADDR_OF_FATPTR(x654);
   struct sockaddr* x656 = CTYPES_ADDR_OF_FATPTR(x653);
   int x657 = uv_udp_connect(x655, x656);
   return Val_long(x657);
}
value luv_stub_120_uv_udp_getpeername(value x660, value x659, value x658)
{
   uv_udp_t* x661 = CTYPES_ADDR_OF_FATPTR(x660);
   struct sockaddr* x662 = CTYPES_ADDR_OF_FATPTR(x659);
   int* x663 = CTYPES_ADDR_OF_FATPTR(x658);
   int x664 = uv_udp_getpeername(x661, x662, x663);
   return Val_long(x664);
}
value luv_stub_121_uv_udp_getsockname(value x667, value x666, value x665)
{
   uv_udp_t* x668 = CTYPES_ADDR_OF_FATPTR(x667);
   struct sockaddr* x669 = CTYPES_ADDR_OF_FATPTR(x666);
   int* x670 = CTYPES_ADDR_OF_FATPTR(x665);
   int x671 = uv_udp_getsockname(x668, x669, x670);
   return Val_long(x671);
}
value luv_stub_122_uv_udp_set_membership(value x675, value x674, value x673,
                                         value x672)
{
   uv_udp_t* x676 = CTYPES_ADDR_OF_FATPTR(x675);
   char* x677 = CTYPES_PTR_OF_OCAML_STRING(x674);
   char* x678 = CTYPES_PTR_OF_OCAML_STRING(x673);
   uint32_t x679 = Uint32_val(x672);
   int x682 = uv_udp_set_membership(x676, x677, x678, x679);
   return Val_long(x682);
}
value luv_stub_123_uv_udp_set_source_membership(value x687, value x686,
                                                value x685, value x684,
                                                value x683)
{
   uv_udp_t* x688 = CTYPES_ADDR_OF_FATPTR(x687);
   char* x689 = CTYPES_PTR_OF_OCAML_STRING(x686);
   char* x690 = CTYPES_PTR_OF_OCAML_STRING(x685);
   char* x691 = CTYPES_PTR_OF_OCAML_STRING(x684);
   uint32_t x692 = Uint32_val(x683);
   int x695 = uv_udp_set_source_membership(x688, x689, x690, x691, x692);
   return Val_long(x695);
}
value luv_stub_124_uv_udp_set_multicast_loop(value x697, value x696)
{
   uv_udp_t* x698 = CTYPES_ADDR_OF_FATPTR(x697);
   _Bool x699 = Bool_val(x696);
   int x702 = uv_udp_set_multicast_loop(x698, x699);
   return Val_long(x702);
}
value luv_stub_125_uv_udp_set_multicast_ttl(value x704, value x703)
{
   uv_udp_t* x705 = CTYPES_ADDR_OF_FATPTR(x704);
   int x706 = Long_val(x703);
   int x709 = uv_udp_set_multicast_ttl(x705, x706);
   return Val_long(x709);
}
value luv_stub_126_uv_udp_set_multicast_interface(value x711, value x710)
{
   uv_udp_t* x712 = CTYPES_ADDR_OF_FATPTR(x711);
   char* x713 = CTYPES_PTR_OF_OCAML_STRING(x710);
   int x714 = uv_udp_set_multicast_interface(x712, x713);
   return Val_long(x714);
}
value luv_stub_127_uv_udp_set_broadcast(value x716, value x715)
{
   uv_udp_t* x717 = CTYPES_ADDR_OF_FATPTR(x716);
   _Bool x718 = Bool_val(x715);
   int x721 = uv_udp_set_broadcast(x717, x718);
   return Val_long(x721);
}
value luv_stub_128_uv_udp_set_ttl(value x723, value x722)
{
   uv_udp_t* x724 = CTYPES_ADDR_OF_FATPTR(x723);
   int x725 = Long_val(x722);
   int x728 = uv_udp_set_ttl(x724, x725);
   return Val_long(x728);
}
value luv_stub_129_luv_get_send_trampoline(value x729)
{
   void(* x730)(uv_udp_send_t*, int) = luv_get_send_trampoline();
   return CTYPES_FROM_PTR(x730);
}
value luv_stub_130_uv_udp_send(value x736, value x735, value x734,
                               value x733, value x732, value x731)
{
   uv_udp_send_t* x737 = CTYPES_ADDR_OF_FATPTR(x736);
   uv_udp_t* x738 = CTYPES_ADDR_OF_FATPTR(x735);
   uv_buf_t* x739 = CTYPES_ADDR_OF_FATPTR(x734);
   unsigned int x740 = ctypes_uint_val(x733);
   struct sockaddr* x743 = CTYPES_ADDR_OF_FATPTR(x732);
   void(* x744)(uv_udp_send_t*, int) = CTYPES_ADDR_OF_FATPTR(x731);
   int x745 = uv_udp_send(x737, x738, x739, x740, x743, x744);
   return Val_long(x745);
}
value luv_stub_130_uv_udp_send_byte6(value* argv, int argc)
{
   value x746 = argv[5];
   value x747 = argv[4];
   value x748 = argv[3];
   value x749 = argv[2];
   value x750 = argv[1];
   value x751 = argv[0];
   return luv_stub_130_uv_udp_send(x751, x750, x749, x748, x747, x746);
}
value luv_stub_131_uv_udp_try_send(value x755, value x754, value x753,
                                   value x752)
{
   uv_udp_t* x756 = CTYPES_ADDR_OF_FATPTR(x755);
   uv_buf_t* x757 = CTYPES_ADDR_OF_FATPTR(x754);
   unsigned int x758 = ctypes_uint_val(x753);
   struct sockaddr* x761 = CTYPES_ADDR_OF_FATPTR(x752);
   int x762 = uv_udp_try_send(x756, x757, x758, x761);
   return Val_long(x762);
}
value luv_stub_132_luv_get_recv_trampoline(value x763)
{
   void(* x764)(uv_udp_t*, ssize_t, uv_buf_t*, struct sockaddr*, unsigned int)
   = luv_get_recv_trampoline();
   return CTYPES_FROM_PTR(x764);
}
value luv_stub_133_luv_udp_recv_start(value x767, value x766, value x765)
{
   uv_udp_t* x768 = CTYPES_ADDR_OF_FATPTR(x767);
   void(* x769)(uv_handle_t*, size_t, uv_buf_t*) =
   CTYPES_ADDR_OF_FATPTR(x766);
   void(* x770)(uv_udp_t*, ssize_t, uv_buf_t*, struct sockaddr*, unsigned int)
   = CTYPES_ADDR_OF_FATPTR(x765);
   int x771 = luv_udp_recv_start(x768, x769, x770);
   return Val_long(x771);
}
value luv_stub_134_uv_udp_recv_stop(value x772)
{
   uv_udp_t* x773 = CTYPES_ADDR_OF_FATPTR(x772);
   int x774 = uv_udp_recv_stop(x773);
   return Val_long(x774);
}
value luv_stub_135_uv_udp_using_recvmmsg(value x775)
{
   uv_udp_t* x776 = CTYPES_ADDR_OF_FATPTR(x775);
   _Bool x777 = uv_udp_using_recvmmsg(x776);
   return Val_bool(x777);
}
value luv_stub_136_uv_udp_get_send_queue_size(value x778)
{
   uv_udp_t* x779 = CTYPES_ADDR_OF_FATPTR(x778);
   size_t x780 = uv_udp_get_send_queue_size(x779);
   return ctypes_copy_size_t(x780);
}
value luv_stub_137_uv_udp_get_send_queue_count(value x781)
{
   uv_udp_t* x782 = CTYPES_ADDR_OF_FATPTR(x781);
   size_t x783 = uv_udp_get_send_queue_count(x782);
   return ctypes_copy_size_t(x783);
}
value luv_stub_138_luv_get_exit_trampoline(value x784)
{
   void(* x785)(uv_process_t*, int64_t, int) = luv_get_exit_trampoline();
   return CTYPES_FROM_PTR(x785);
}
value luv_stub_139_luv_null_exit_trampoline(value x786)
{
   void(* x787)(uv_process_t*, int64_t, int) = luv_null_exit_trampoline();
   return CTYPES_FROM_PTR(x787);
}
value luv_stub_140_uv_disable_stdio_inheritance(value x788)
{
   uv_disable_stdio_inheritance();
   return Val_unit;
}
value luv_stub_141_luv_spawn(value x805, value x804, value x803, value x802,
                             value x801, value x800, value x799, value x798,
                             value x797, value x796, value x795, value x794,
                             value x793, value x792, value x791, value x790)
{
   uv_loop_t* x806 = CTYPES_ADDR_OF_FATPTR(x805);
   uv_process_t* x807 = CTYPES_ADDR_OF_FATPTR(x804);
   void(* x808)(uv_process_t*, int64_t, int) = CTYPES_ADDR_OF_FATPTR(x803);
   char* x809 = CTYPES_ADDR_OF_FATPTR(x802);
   char** x810 = CTYPES_ADDR_OF_FATPTR(x801);
   int x811 = Long_val(x800);
   char** x814 = CTYPES_ADDR_OF_FATPTR(x799);
   int x815 = Long_val(x798);
   _Bool x818 = Bool_val(x797);
   char* x821 = CTYPES_ADDR_OF_FATPTR(x796);
   _Bool x822 = Bool_val(x795);
   int x825 = Long_val(x794);
   int x828 = Long_val(x793);
   uv_stdio_container_t* x831 = CTYPES_ADDR_OF_FATPTR(x792);
   int x832 = Long_val(x791);
   int x835 = Long_val(x790);
   int x838 =
   luv_spawn(x806, x807, x808, x809, x810, x811, x814, x815, x818, x821,
             x822, x825, x828, x831, x832, x835);
   return Val_long(x838);
}
value luv_stub_141_luv_spawn_byte16(value* argv, int argc)
{
   value x839 = argv[15];
   value x840 = argv[14];
   value x841 = argv[13];
   value x842 = argv[12];
   value x843 = argv[11];
   value x844 = argv[10];
   value x845 = argv[9];
   value x846 = argv[8];
   value x847 = argv[7];
   value x848 = argv[6];
   value x849 = argv[5];
   value x850 = argv[4];
   value x851 = argv[3];
   value x852 = argv[2];
   value x853 = argv[1];
   value x854 = argv[0];
   return
     luv_stub_141_luv_spawn(x854, x853, x852, x851, x850, x849, x848, 
                            x847, x846, x845, x844, x843, x842, x841, 
                            x840, x839);
}
value luv_stub_142_uv_process_kill(value x856, value x855)
{
   uv_process_t* x857 = CTYPES_ADDR_OF_FATPTR(x856);
   int x858 = Long_val(x855);
   int x861 = uv_process_kill(x857, x858);
   return Val_long(x861);
}
value luv_stub_143_uv_kill(value x863, value x862)
{
   int x864 = Long_val(x863);
   int x867 = Long_val(x862);
   int x870 = uv_kill(x864, x867);
   return Val_long(x870);
}
value luv_stub_144_uv_process_get_pid(value x871)
{
   uv_process_t* x872 = CTYPES_ADDR_OF_FATPTR(x871);
   int x873 = uv_process_get_pid(x872);
   return Val_long(x873);
}
value luv_stub_145_luv_get_fs_event_trampoline(value x874)
{
   void(* x875)(uv_fs_event_t*, char*, int, int) =
   luv_get_fs_event_trampoline();
   return CTYPES_FROM_PTR(x875);
}
value luv_stub_146_uv_fs_event_init(value x877, value x876)
{
   uv_loop_t* x878 = CTYPES_ADDR_OF_FATPTR(x877);
   uv_fs_event_t* x879 = CTYPES_ADDR_OF_FATPTR(x876);
   int x880 = uv_fs_event_init(x878, x879);
   return Val_long(x880);
}
value luv_stub_147_luv_fs_event_start(value x884, value x883, value x882,
                                      value x881)
{
   uv_fs_event_t* x885 = CTYPES_ADDR_OF_FATPTR(x884);
   void(* x886)(uv_fs_event_t*, char*, int, int) =
   CTYPES_ADDR_OF_FATPTR(x883);
   char* x887 = CTYPES_PTR_OF_OCAML_STRING(x882);
   int x888 = Long_val(x881);
   int x891 = luv_fs_event_start(x885, x886, x887, x888);
   return Val_long(x891);
}
value luv_stub_148_uv_fs_event_stop(value x892)
{
   uv_fs_event_t* x893 = CTYPES_ADDR_OF_FATPTR(x892);
   int x894 = uv_fs_event_stop(x893);
   return Val_long(x894);
}
value luv_stub_149_luv_get_fs_poll_trampoline(value x895)
{
   void(* x896)(uv_fs_poll_t*, int, uv_stat_t*, uv_stat_t*) =
   luv_get_fs_poll_trampoline();
   return CTYPES_FROM_PTR(x896);
}
value luv_stub_150_uv_fs_poll_init(value x898, value x897)
{
   uv_loop_t* x899 = CTYPES_ADDR_OF_FATPTR(x898);
   uv_fs_poll_t* x900 = CTYPES_ADDR_OF_FATPTR(x897);
   int x901 = uv_fs_poll_init(x899, x900);
   return Val_long(x901);
}
value luv_stub_151_luv_fs_poll_start(value x905, value x904, value x903,
                                     value x902)
{
   uv_fs_poll_t* x906 = CTYPES_ADDR_OF_FATPTR(x905);
   void(* x907)(uv_fs_poll_t*, int, uv_stat_t*, uv_stat_t*) =
   CTYPES_ADDR_OF_FATPTR(x904);
   char* x908 = CTYPES_PTR_OF_OCAML_STRING(x903);
   int x909 = Long_val(x902);
   int x912 = luv_fs_poll_start(x906, x907, x908, x909);
   return Val_long(x912);
}
value luv_stub_152_uv_fs_poll_stop(value x913)
{
   uv_fs_poll_t* x914 = CTYPES_ADDR_OF_FATPTR(x913);
   int x915 = uv_fs_poll_stop(x914);
   return Val_long(x915);
}
value luv_stub_153_luv_get_getaddrinfo_trampoline(value x916)
{
   void(* x917)(uv_getaddrinfo_t*, int, struct addrinfo*) =
   luv_get_getaddrinfo_trampoline();
   return CTYPES_FROM_PTR(x917);
}
value luv_stub_154_uv_getaddrinfo(value x923, value x922, value x921,
                                  value x920, value x919, value x918)
{
   uv_loop_t* x924 = CTYPES_ADDR_OF_FATPTR(x923);
   uv_getaddrinfo_t* x925 = CTYPES_ADDR_OF_FATPTR(x922);
   void(* x926)(uv_getaddrinfo_t*, int, struct addrinfo*) =
   CTYPES_ADDR_OF_FATPTR(x921);
   char* x927 = CTYPES_ADDR_OF_FATPTR(x920);
   char* x928 = CTYPES_ADDR_OF_FATPTR(x919);
   struct addrinfo* x929 = CTYPES_ADDR_OF_FATPTR(x918);
   int x930 = uv_getaddrinfo(x924, x925, x926, x927, x928, x929);
   return Val_long(x930);
}
value luv_stub_154_uv_getaddrinfo_byte6(value* argv, int argc)
{
   value x931 = argv[5];
   value x932 = argv[4];
   value x933 = argv[3];
   value x934 = argv[2];
   value x935 = argv[1];
   value x936 = argv[0];
   return luv_stub_154_uv_getaddrinfo(x936, x935, x934, x933, x932, x931);
}
value luv_stub_155_uv_freeaddrinfo(value x937)
{
   struct addrinfo* x938 = CTYPES_ADDR_OF_FATPTR(x937);
   uv_freeaddrinfo(x938);
   return Val_unit;
}
value luv_stub_156_luv_get_getnameinfo_trampoline(value x940)
{
   void(* x941)(uv_getnameinfo_t*, int, char const*, char const*) =
   luv_get_getnameinfo_trampoline();
   return CTYPES_FROM_PTR(x941);
}
value luv_stub_157_uv_getnameinfo(value x946, value x945, value x944,
                                  value x943, value x942)
{
   uv_loop_t* x947 = CTYPES_ADDR_OF_FATPTR(x946);
   uv_getnameinfo_t* x948 = CTYPES_ADDR_OF_FATPTR(x945);
   void(* x949)(uv_getnameinfo_t*, int, char const*, char const*) =
   CTYPES_ADDR_OF_FATPTR(x944);
   struct sockaddr* x950 = CTYPES_ADDR_OF_FATPTR(x943);
   int x951 = Long_val(x942);
   int x954 = uv_getnameinfo(x947, x948, x949, x950, x951);
   return Val_long(x954);
}
value luv_stub_158_uv_dlopen(value x956, value x955)
{
   char* x957 = CTYPES_PTR_OF_OCAML_STRING(x956);
   uv_lib_t* x958 = CTYPES_ADDR_OF_FATPTR(x955);
   _Bool x959 = uv_dlopen(x957, x958);
   return Val_bool(x959);
}
value luv_stub_159_uv_dlclose(value x960)
{
   uv_lib_t* x961 = CTYPES_ADDR_OF_FATPTR(x960);
   uv_dlclose(x961);
   return Val_unit;
}
value luv_stub_160_uv_dlsym(value x965, value x964, value x963)
{
   uv_lib_t* x966 = CTYPES_ADDR_OF_FATPTR(x965);
   char* x967 = CTYPES_PTR_OF_OCAML_STRING(x964);
   void** x968 = CTYPES_ADDR_OF_FATPTR(x963);
   _Bool x969 = uv_dlsym(x966, x967, x968);
   return Val_bool(x969);
}
value luv_stub_161_luv_dlerror(value x970)
{
   uv_lib_t* x971 = CTYPES_ADDR_OF_FATPTR(x970);
   char const* x972 = luv_dlerror(x971);
   return CTYPES_FROM_PTR(x972);
}
value luv_stub_162_uv_get_osfhandle(value x973)
{
   int x974 = Long_val(x973);
   uv_os_fd_t x977 = uv_get_osfhandle(x974);
   return ctypes_copy_bytes(&x977, 4);
}
value luv_stub_163_uv_open_osfhandle(value x978)
{
   void* x979 = CTYPES_ADDR_OF_FATPTR(x978);
   uv_os_fd_t x981 = *(uv_os_fd_t*)x979;
   int x982 = uv_open_osfhandle(x981);
   return Val_long(x982);
}
value luv_stub_164_luv_is_invalid_handle_value(value x983)
{
   void* x984 = CTYPES_ADDR_OF_FATPTR(x983);
   uv_os_fd_t x986 = *(uv_os_fd_t*)x984;
   _Bool x987 = luv_is_invalid_handle_value(x986);
   return Val_bool(x987);
}
value luv_stub_165_luv_is_invalid_socket_value(value x988)
{
   void* x989 = CTYPES_ADDR_OF_FATPTR(x988);
   uv_os_sock_t x991 = *(uv_os_sock_t*)x989;
   _Bool x992 = luv_is_invalid_socket_value(x991);
   return Val_bool(x992);
}
value luv_stub_166_memcpy(value x995, value x994, value x993)
{
   unsigned char* x996 = CTYPES_PTR_OF_OCAML_BYTES(x995);
   char* x997 = CTYPES_ADDR_OF_FATPTR(x994);
   int x998 = Long_val(x993);
   memcpy(x996, x997, x998);
   return Val_unit;
}
value luv_stub_167_memcpy(value x1004, value x1003, value x1002)
{
   char* x1005 = CTYPES_ADDR_OF_FATPTR(x1004);
   unsigned char* x1006 = CTYPES_PTR_OF_OCAML_BYTES(x1003);
   int x1007 = Long_val(x1002);
   memcpy(x1005, x1006, x1007);
   return Val_unit;
}
value luv_stub_168_luv_get_work_trampoline(value x1011)
{
   void(* x1012)(uv_work_t*) = luv_get_work_trampoline();
   return CTYPES_FROM_PTR(x1012);
}
value luv_stub_169_luv_get_after_work_trampoline(value x1013)
{
   void(* x1014)(uv_work_t*, int) = luv_get_after_work_trampoline();
   return CTYPES_FROM_PTR(x1014);
}
value luv_stub_170_luv_get_c_work_trampoline(value x1015)
{
   void(* x1016)(uv_work_t*) = luv_get_c_work_trampoline();
   return CTYPES_FROM_PTR(x1016);
}
value luv_stub_171_luv_get_after_c_work_trampoline(value x1017)
{
   void(* x1018)(uv_work_t*, int) = luv_get_after_c_work_trampoline();
   return CTYPES_FROM_PTR(x1018);
}
value luv_stub_172_luv_add_c_function_and_argument(value x1021, value x1020,
                                                   value x1019)
{
   uv_work_t* x1022 = CTYPES_ADDR_OF_FATPTR(x1021);
   intnat x1023 = Nativeint_val(x1020);
   intnat x1026 = Nativeint_val(x1019);
   _Bool x1029 = luv_add_c_function_and_argument(x1022, x1023, x1026);
   return Val_bool(x1029);
}
value luv_stub_173_uv_queue_work(value x1033, value x1032, value x1031,
                                 value x1030)
{
   uv_loop_t* x1034 = CTYPES_ADDR_OF_FATPTR(x1033);
   uv_work_t* x1035 = CTYPES_ADDR_OF_FATPTR(x1032);
   void(* x1036)(uv_work_t*) = CTYPES_ADDR_OF_FATPTR(x1031);
   void(* x1037)(uv_work_t*, int) = CTYPES_ADDR_OF_FATPTR(x1030);
   int x1038 = uv_queue_work(x1034, x1035, x1036, x1037);
   return Val_long(x1038);
}
value luv_stub_174_luv_get_thread_trampoline(value x1039)
{
   void(* x1040)(void*) = luv_get_thread_trampoline();
   return CTYPES_FROM_PTR(x1040);
}
value luv_stub_175_uv_thread_create_ex(value x1044, value x1043, value x1042,
                                       value x1041)
{
   uv_thread_t* x1045 = CTYPES_ADDR_OF_FATPTR(x1044);
   uv_thread_options_t* x1046 = CTYPES_ADDR_OF_FATPTR(x1043);
   void(* x1047)(void*) = CTYPES_ADDR_OF_FATPTR(x1042);
   void* x1048 = CTYPES_ADDR_OF_FATPTR(x1041);
   int x1049 = uv_thread_create_ex(x1045, x1046, x1047, x1048);
   return Val_long(x1049);
}
value luv_stub_176_luv_thread_create_c(value x1053, value x1052, value x1051,
                                       value x1050)
{
   uv_thread_t* x1054 = CTYPES_ADDR_OF_FATPTR(x1053);
   uv_thread_options_t* x1055 = CTYPES_ADDR_OF_FATPTR(x1052);
   intnat x1056 = Nativeint_val(x1051);
   intnat x1059 = Nativeint_val(x1050);
   int x1062 = luv_thread_create_c(x1054, x1055, x1056, x1059);
   return Val_long(x1062);
}
value luv_stub_177_uv_thread_self(value x1063)
{
   uv_thread_t x1064 = uv_thread_self();
   return ctypes_copy_bytes(&x1064, 8);
}
value luv_stub_178_uv_thread_equal(value x1066, value x1065)
{
   uv_thread_t* x1067 = CTYPES_ADDR_OF_FATPTR(x1066);
   uv_thread_t* x1068 = CTYPES_ADDR_OF_FATPTR(x1065);
   _Bool x1069 = uv_thread_equal(x1067, x1068);
   return Val_bool(x1069);
}
value luv_stub_179_uv_thread_setpriority(value x1071, value x1070)
{
   void* x1072 = CTYPES_ADDR_OF_FATPTR(x1071);
   uv_thread_t x1074 = *(uv_thread_t*)x1072;
   int x1075 = Long_val(x1070);
   int x1078 = uv_thread_setpriority(x1074, x1075);
   return Val_long(x1078);
}
value luv_stub_180_uv_thread_getpriority(value x1080, value x1079)
{
   void* x1081 = CTYPES_ADDR_OF_FATPTR(x1080);
   uv_thread_t x1083 = *(uv_thread_t*)x1081;
   int* x1084 = CTYPES_ADDR_OF_FATPTR(x1079);
   int x1085 = uv_thread_getpriority(x1083, x1084);
   return Val_long(x1085);
}
value luv_stub_181_uv_cpumask_size(value x1086)
{
   int x1087 = uv_cpumask_size();
   return Val_long(x1087);
}
value luv_stub_182_uv_thread_setaffinity(value x1091, value x1090,
                                         value x1089, value x1088)
{
   uv_thread_t* x1092 = CTYPES_ADDR_OF_FATPTR(x1091);
   char* x1093 = CTYPES_ADDR_OF_FATPTR(x1090);
   char* x1094 = CTYPES_ADDR_OF_FATPTR(x1089);
   size_t x1095 = ctypes_size_t_val(x1088);
   int x1098 = uv_thread_setaffinity(x1092, x1093, x1094, x1095);
   return Val_long(x1098);
}
value luv_stub_183_uv_thread_getaffinity(value x1101, value x1100,
                                         value x1099)
{
   uv_thread_t* x1102 = CTYPES_ADDR_OF_FATPTR(x1101);
   char* x1103 = CTYPES_ADDR_OF_FATPTR(x1100);
   size_t x1104 = ctypes_size_t_val(x1099);
   int x1107 = uv_thread_getaffinity(x1102, x1103, x1104);
   return Val_long(x1107);
}
value luv_stub_184_uv_thread_getcpu(value x1108)
{
   int x1109 = uv_thread_getcpu();
   return Val_long(x1109);
}
value luv_stub_185_uv_key_create(value x1110)
{
   uv_key_t* x1111 = CTYPES_ADDR_OF_FATPTR(x1110);
   int x1112 = uv_key_create(x1111);
   return Val_long(x1112);
}
value luv_stub_186_uv_key_delete(value x1113)
{
   uv_key_t* x1114 = CTYPES_ADDR_OF_FATPTR(x1113);
   uv_key_delete(x1114);
   return Val_unit;
}
value luv_stub_187_uv_key_get(value x1116)
{
   uv_key_t* x1117 = CTYPES_ADDR_OF_FATPTR(x1116);
   void* x1118 = uv_key_get(x1117);
   return CTYPES_FROM_PTR(x1118);
}
value luv_stub_188_uv_key_set(value x1120, value x1119)
{
   uv_key_t* x1121 = CTYPES_ADDR_OF_FATPTR(x1120);
   void* x1122 = CTYPES_ADDR_OF_FATPTR(x1119);
   uv_key_set(x1121, x1122);
   return Val_unit;
}
value luv_stub_189_luv_get_once_trampoline(value x1124)
{
   void(* x1125)(void) = luv_get_once_trampoline();
   return CTYPES_FROM_PTR(x1125);
}
value luv_stub_190_luv_once_init(value x1126)
{
   uv_once_t* x1127 = CTYPES_ADDR_OF_FATPTR(x1126);
   int x1128 = luv_once_init(x1127);
   return Val_long(x1128);
}
value luv_stub_191_uv_once(value x1130, value x1129)
{
   uv_once_t* x1131 = CTYPES_ADDR_OF_FATPTR(x1130);
   void(* x1132)(void) = CTYPES_ADDR_OF_FATPTR(x1129);
   uv_once(x1131, x1132);
   return Val_unit;
}
value luv_stub_192_uv_mutex_init(value x1134)
{
   uv_mutex_t* x1135 = CTYPES_ADDR_OF_FATPTR(x1134);
   int x1136 = uv_mutex_init(x1135);
   return Val_long(x1136);
}
value luv_stub_193_uv_mutex_init_recursive(value x1137)
{
   uv_mutex_t* x1138 = CTYPES_ADDR_OF_FATPTR(x1137);
   int x1139 = uv_mutex_init_recursive(x1138);
   return Val_long(x1139);
}
value luv_stub_194_uv_mutex_destroy(value x1140)
{
   uv_mutex_t* x1141 = CTYPES_ADDR_OF_FATPTR(x1140);
   uv_mutex_destroy(x1141);
   return Val_unit;
}
value luv_stub_195_uv_mutex_trylock(value x1143)
{
   uv_mutex_t* x1144 = CTYPES_ADDR_OF_FATPTR(x1143);
   int x1145 = uv_mutex_trylock(x1144);
   return Val_long(x1145);
}
value luv_stub_196_uv_mutex_unlock(value x1146)
{
   uv_mutex_t* x1147 = CTYPES_ADDR_OF_FATPTR(x1146);
   uv_mutex_unlock(x1147);
   return Val_unit;
}
value luv_stub_197_uv_rwlock_init(value x1149)
{
   uv_rwlock_t* x1150 = CTYPES_ADDR_OF_FATPTR(x1149);
   int x1151 = uv_rwlock_init(x1150);
   return Val_long(x1151);
}
value luv_stub_198_uv_rwlock_destroy(value x1152)
{
   uv_rwlock_t* x1153 = CTYPES_ADDR_OF_FATPTR(x1152);
   uv_rwlock_destroy(x1153);
   return Val_unit;
}
value luv_stub_199_uv_rwlock_tryrdlock(value x1155)
{
   uv_rwlock_t* x1156 = CTYPES_ADDR_OF_FATPTR(x1155);
   int x1157 = uv_rwlock_tryrdlock(x1156);
   return Val_long(x1157);
}
value luv_stub_200_uv_rwlock_rdunlock(value x1158)
{
   uv_rwlock_t* x1159 = CTYPES_ADDR_OF_FATPTR(x1158);
   uv_rwlock_rdunlock(x1159);
   return Val_unit;
}
value luv_stub_201_uv_rwlock_trywrlock(value x1161)
{
   uv_rwlock_t* x1162 = CTYPES_ADDR_OF_FATPTR(x1161);
   int x1163 = uv_rwlock_trywrlock(x1162);
   return Val_long(x1163);
}
value luv_stub_202_uv_rwlock_wrunlock(value x1164)
{
   uv_rwlock_t* x1165 = CTYPES_ADDR_OF_FATPTR(x1164);
   uv_rwlock_wrunlock(x1165);
   return Val_unit;
}
value luv_stub_203_uv_sem_init(value x1168, value x1167)
{
   uv_sem_t* x1169 = CTYPES_ADDR_OF_FATPTR(x1168);
   unsigned int x1170 = ctypes_uint_val(x1167);
   int x1173 = uv_sem_init(x1169, x1170);
   return Val_long(x1173);
}
value luv_stub_204_uv_sem_destroy(value x1174)
{
   uv_sem_t* x1175 = CTYPES_ADDR_OF_FATPTR(x1174);
   uv_sem_destroy(x1175);
   return Val_unit;
}
value luv_stub_205_uv_sem_post(value x1177)
{
   uv_sem_t* x1178 = CTYPES_ADDR_OF_FATPTR(x1177);
   uv_sem_post(x1178);
   return Val_unit;
}
value luv_stub_206_uv_sem_trywait(value x1180)
{
   uv_sem_t* x1181 = CTYPES_ADDR_OF_FATPTR(x1180);
   int x1182 = uv_sem_trywait(x1181);
   return Val_long(x1182);
}
value luv_stub_207_uv_cond_init(value x1183)
{
   uv_cond_t* x1184 = CTYPES_ADDR_OF_FATPTR(x1183);
   int x1185 = uv_cond_init(x1184);
   return Val_long(x1185);
}
value luv_stub_208_uv_cond_destroy(value x1186)
{
   uv_cond_t* x1187 = CTYPES_ADDR_OF_FATPTR(x1186);
   uv_cond_destroy(x1187);
   return Val_unit;
}
value luv_stub_209_uv_cond_signal(value x1189)
{
   uv_cond_t* x1190 = CTYPES_ADDR_OF_FATPTR(x1189);
   uv_cond_signal(x1190);
   return Val_unit;
}
value luv_stub_210_uv_cond_broadcast(value x1192)
{
   uv_cond_t* x1193 = CTYPES_ADDR_OF_FATPTR(x1192);
   uv_cond_broadcast(x1193);
   return Val_unit;
}
value luv_stub_211_uv_barrier_init(value x1196, value x1195)
{
   uv_barrier_t* x1197 = CTYPES_ADDR_OF_FATPTR(x1196);
   unsigned int x1198 = ctypes_uint_val(x1195);
   int x1201 = uv_barrier_init(x1197, x1198);
   return Val_long(x1201);
}
value luv_stub_212_uv_barrier_destroy(value x1202)
{
   uv_barrier_t* x1203 = CTYPES_ADDR_OF_FATPTR(x1202);
   uv_barrier_destroy(x1203);
   return Val_unit;
}
value luv_stub_213_uv_ip4_addr(value x1207, value x1206, value x1205)
{
   char* x1208 = CTYPES_PTR_OF_OCAML_STRING(x1207);
   int x1209 = Long_val(x1206);
   struct sockaddr_in* x1212 = CTYPES_ADDR_OF_FATPTR(x1205);
   int x1213 = uv_ip4_addr(x1208, x1209, x1212);
   return Val_long(x1213);
}
value luv_stub_214_uv_ip6_addr(value x1216, value x1215, value x1214)
{
   char* x1217 = CTYPES_PTR_OF_OCAML_STRING(x1216);
   int x1218 = Long_val(x1215);
   struct sockaddr_in6* x1221 = CTYPES_ADDR_OF_FATPTR(x1214);
   int x1222 = uv_ip6_addr(x1217, x1218, x1221);
   return Val_long(x1222);
}
value luv_stub_215_uv_ip4_name(value x1225, value x1224, value x1223)
{
   struct sockaddr_in* x1226 = CTYPES_ADDR_OF_FATPTR(x1225);
   unsigned char* x1227 = CTYPES_PTR_OF_OCAML_BYTES(x1224);
   size_t x1228 = ctypes_size_t_val(x1223);
   int x1231 = uv_ip4_name(x1226, x1227, x1228);
   return Val_long(x1231);
}
value luv_stub_216_uv_ip6_name(value x1234, value x1233, value x1232)
{
   struct sockaddr_in6* x1235 = CTYPES_ADDR_OF_FATPTR(x1234);
   unsigned char* x1236 = CTYPES_PTR_OF_OCAML_BYTES(x1233);
   size_t x1237 = ctypes_size_t_val(x1232);
   int x1240 = uv_ip6_name(x1235, x1236, x1237);
   return Val_long(x1240);
}
value luv_stub_217_memcpy(value x1243, value x1242, value x1241)
{
   struct sockaddr_storage* x1244 = CTYPES_ADDR_OF_FATPTR(x1243);
   struct sockaddr* x1245 = CTYPES_ADDR_OF_FATPTR(x1242);
   int x1246 = Long_val(x1241);
   memcpy(x1244, x1245, x1246);
   return Val_unit;
}
value luv_stub_218_ntohs(value x1250)
{
   unsigned short x1251 = ctypes_ushort_val(x1250);
   unsigned short x1254 = ntohs(x1251);
   return ctypes_copy_ushort(x1254);
}
value luv_stub_219_luv_sa_family_to_int(value x1255)
{
   void* x1256 = CTYPES_ADDR_OF_FATPTR(x1255);
   sa_family_t x1258 = *(sa_family_t*)x1256;
   int x1259 = luv_sa_family_to_int(x1258);
   return Val_long(x1259);
}
value luv_stub_220_uv_resident_set_memory(value x1260)
{
   size_t* x1261 = CTYPES_ADDR_OF_FATPTR(x1260);
   int x1262 = uv_resident_set_memory(x1261);
   return Val_long(x1262);
}
value luv_stub_221_uv_uptime(value x1263)
{
   double* x1264 = CTYPES_ADDR_OF_FATPTR(x1263);
   int x1265 = uv_uptime(x1264);
   return Val_long(x1265);
}
value luv_stub_222_uv_loadavg(value x1266)
{
   double* x1267 = CTYPES_ADDR_OF_FATPTR(x1266);
   uv_loadavg(x1267);
   return Val_unit;
}
value luv_stub_223_uv_get_free_memory(value x1269)
{
   uint64_t x1270 = uv_get_free_memory();
   return integers_copy_uint64(x1270);
}
value luv_stub_224_uv_get_total_memory(value x1271)
{
   uint64_t x1272 = uv_get_total_memory();
   return integers_copy_uint64(x1272);
}
value luv_stub_225_uv_get_constrained_memory(value x1273)
{
   uint64_t x1274 = uv_get_constrained_memory();
   return integers_copy_uint64(x1274);
}
value luv_stub_226_uv_get_available_memory(value x1275)
{
   uint64_t x1276 = uv_get_available_memory();
   return integers_copy_uint64(x1276);
}
value luv_stub_227_uv_os_getpriority(value x1278, value x1277)
{
   int x1279 = Long_val(x1278);
   int* x1282 = CTYPES_ADDR_OF_FATPTR(x1277);
   int x1283 = uv_os_getpriority(x1279, x1282);
   return Val_long(x1283);
}
value luv_stub_228_uv_os_setpriority(value x1285, value x1284)
{
   int x1286 = Long_val(x1285);
   int x1289 = Long_val(x1284);
   int x1292 = uv_os_setpriority(x1286, x1289);
   return Val_long(x1292);
}
value luv_stub_229_uv_getrusage(value x1293)
{
   uv_rusage_t* x1294 = CTYPES_ADDR_OF_FATPTR(x1293);
   int x1295 = uv_getrusage(x1294);
   return Val_long(x1295);
}
value luv_stub_230_uv_os_getpid(value x1296)
{
   int x1297 = uv_os_getpid();
   return Val_long(x1297);
}
value luv_stub_231_uv_os_getppid(value x1298)
{
   int x1299 = uv_os_getppid();
   return Val_long(x1299);
}
value luv_stub_232_uv_available_parallelism(value x1300)
{
   int x1301 = uv_available_parallelism();
   return Val_long(x1301);
}
value luv_stub_233_uv_cpu_info(value x1303, value x1302)
{
   uv_cpu_info_t** x1304 = CTYPES_ADDR_OF_FATPTR(x1303);
   int* x1305 = CTYPES_ADDR_OF_FATPTR(x1302);
   int x1306 = uv_cpu_info(x1304, x1305);
   return Val_long(x1306);
}
value luv_stub_234_uv_free_cpu_info(value x1308, value x1307)
{
   uv_cpu_info_t* x1309 = CTYPES_ADDR_OF_FATPTR(x1308);
   int x1310 = Long_val(x1307);
   uv_free_cpu_info(x1309, x1310);
   return Val_unit;
}
value luv_stub_235_uv_interface_addresses(value x1315, value x1314)
{
   struct uv_interface_address_s** x1316 = CTYPES_ADDR_OF_FATPTR(x1315);
   int* x1317 = CTYPES_ADDR_OF_FATPTR(x1314);
   int x1318 = uv_interface_addresses(x1316, x1317);
   return Val_long(x1318);
}
value luv_stub_236_uv_free_interface_addresses(value x1320, value x1319)
{
   struct uv_interface_address_s* x1321 = CTYPES_ADDR_OF_FATPTR(x1320);
   int x1322 = Long_val(x1319);
   uv_free_interface_addresses(x1321, x1322);
   return Val_unit;
}
value luv_stub_237_uv_if_indextoname(value x1328, value x1327, value x1326)
{
   unsigned int x1329 = ctypes_uint_val(x1328);
   unsigned char* x1332 = CTYPES_PTR_OF_OCAML_BYTES(x1327);
   size_t* x1333 = CTYPES_ADDR_OF_FATPTR(x1326);
   int x1334 = uv_if_indextoname(x1329, x1332, x1333);
   return Val_long(x1334);
}
value luv_stub_238_uv_if_indextoiid(value x1337, value x1336, value x1335)
{
   unsigned int x1338 = ctypes_uint_val(x1337);
   unsigned char* x1341 = CTYPES_PTR_OF_OCAML_BYTES(x1336);
   size_t* x1342 = CTYPES_ADDR_OF_FATPTR(x1335);
   int x1343 = uv_if_indextoiid(x1338, x1341, x1342);
   return Val_long(x1343);
}
value luv_stub_239_uv_os_gethostname(value x1345, value x1344)
{
   unsigned char* x1346 = CTYPES_PTR_OF_OCAML_BYTES(x1345);
   size_t* x1347 = CTYPES_ADDR_OF_FATPTR(x1344);
   int x1348 = uv_os_gethostname(x1346, x1347);
   return Val_long(x1348);
}
value luv_stub_240_uv_exepath(value x1350, value x1349)
{
   unsigned char* x1351 = CTYPES_PTR_OF_OCAML_BYTES(x1350);
   size_t* x1352 = CTYPES_ADDR_OF_FATPTR(x1349);
   int x1353 = uv_exepath(x1351, x1352);
   return Val_long(x1353);
}
value luv_stub_241_uv_cwd(value x1355, value x1354)
{
   unsigned char* x1356 = CTYPES_PTR_OF_OCAML_BYTES(x1355);
   size_t* x1357 = CTYPES_ADDR_OF_FATPTR(x1354);
   int x1358 = uv_cwd(x1356, x1357);
   return Val_long(x1358);
}
value luv_stub_242_uv_chdir(value x1359)
{
   char* x1360 = CTYPES_PTR_OF_OCAML_STRING(x1359);
   int x1361 = uv_chdir(x1360);
   return Val_long(x1361);
}
value luv_stub_243_uv_os_homedir(value x1363, value x1362)
{
   unsigned char* x1364 = CTYPES_PTR_OF_OCAML_BYTES(x1363);
   size_t* x1365 = CTYPES_ADDR_OF_FATPTR(x1362);
   int x1366 = uv_os_homedir(x1364, x1365);
   return Val_long(x1366);
}
value luv_stub_244_uv_os_tmpdir(value x1368, value x1367)
{
   unsigned char* x1369 = CTYPES_PTR_OF_OCAML_BYTES(x1368);
   size_t* x1370 = CTYPES_ADDR_OF_FATPTR(x1367);
   int x1371 = uv_os_tmpdir(x1369, x1370);
   return Val_long(x1371);
}
value luv_stub_245_uv_os_get_passwd(value x1372)
{
   uv_passwd_t* x1373 = CTYPES_ADDR_OF_FATPTR(x1372);
   int x1374 = uv_os_get_passwd(x1373);
   return Val_long(x1374);
}
value luv_stub_246_uv_os_get_passwd2(value x1376, value x1375)
{
   uv_passwd_t* x1377 = CTYPES_ADDR_OF_FATPTR(x1376);
   unsigned long x1378 = ctypes_ulong_val(x1375);
   int x1381 = uv_os_get_passwd2(x1377, x1378);
   return Val_long(x1381);
}
value luv_stub_247_uv_os_free_passwd(value x1382)
{
   uv_passwd_t* x1383 = CTYPES_ADDR_OF_FATPTR(x1382);
   uv_os_free_passwd(x1383);
   return Val_unit;
}
value luv_stub_248_uv_os_get_group(value x1386, value x1385)
{
   uv_group_t* x1387 = CTYPES_ADDR_OF_FATPTR(x1386);
   unsigned long x1388 = ctypes_ulong_val(x1385);
   int x1391 = uv_os_get_group(x1387, x1388);
   return Val_long(x1391);
}
value luv_stub_249_uv_os_free_group(value x1392)
{
   uv_group_t* x1393 = CTYPES_ADDR_OF_FATPTR(x1392);
   uv_os_free_group(x1393);
   return Val_unit;
}
value luv_stub_250_uv_os_getenv(value x1397, value x1396, value x1395)
{
   char* x1398 = CTYPES_PTR_OF_OCAML_STRING(x1397);
   unsigned char* x1399 = CTYPES_PTR_OF_OCAML_BYTES(x1396);
   size_t* x1400 = CTYPES_ADDR_OF_FATPTR(x1395);
   int x1401 = uv_os_getenv(x1398, x1399, x1400);
   return Val_long(x1401);
}
value luv_stub_251_uv_os_setenv(value x1403, value x1402)
{
   char* x1404 = CTYPES_PTR_OF_OCAML_STRING(x1403);
   char* x1405 = CTYPES_PTR_OF_OCAML_STRING(x1402);
   int x1406 = uv_os_setenv(x1404, x1405);
   return Val_long(x1406);
}
value luv_stub_252_uv_os_unsetenv(value x1407)
{
   char* x1408 = CTYPES_PTR_OF_OCAML_STRING(x1407);
   int x1409 = uv_os_unsetenv(x1408);
   return Val_long(x1409);
}
value luv_stub_253_uv_os_environ(value x1411, value x1410)
{
   uv_env_item_t** x1412 = CTYPES_ADDR_OF_FATPTR(x1411);
   int* x1413 = CTYPES_ADDR_OF_FATPTR(x1410);
   int x1414 = uv_os_environ(x1412, x1413);
   return Val_long(x1414);
}
value luv_stub_254_uv_os_free_environ(value x1416, value x1415)
{
   uv_env_item_t* x1417 = CTYPES_ADDR_OF_FATPTR(x1416);
   int x1418 = Long_val(x1415);
   uv_os_free_environ(x1417, x1418);
   return Val_unit;
}
value luv_stub_255_luv_os_uname(value x1422)
{
   unsigned char* x1423 = CTYPES_PTR_OF_OCAML_BYTES(x1422);
   int x1424 = luv_os_uname(x1423);
   return Val_long(x1424);
}
value luv_stub_256_uv_gettimeofday(value x1425)
{
   uv_timeval64_t* x1426 = CTYPES_ADDR_OF_FATPTR(x1425);
   int x1427 = uv_gettimeofday(x1426);
   return Val_long(x1427);
}
value luv_stub_257_uv_hrtime(value x1428)
{
   uint64_t x1429 = uv_hrtime();
   return integers_copy_uint64(x1429);
}
value luv_stub_258_uv_clock_gettime(value x1431, value x1430)
{
   int x1432 = Long_val(x1431);
   uv_timespec64_t* x1435 = CTYPES_ADDR_OF_FATPTR(x1430);
   int x1436 = uv_clock_gettime(x1432, x1435);
   return Val_long(x1436);
}
value luv_stub_259_luv_get_random_trampoline(value x1437)
{
   void(* x1438)(uv_random_t*, int, void*, size_t) =
   luv_get_random_trampoline();
   return CTYPES_FROM_PTR(x1438);
}
value luv_stub_260_luv_null_random_trampoline(value x1439)
{
   void(* x1440)(uv_random_t*, int, void*, size_t) =
   luv_null_random_trampoline();
   return CTYPES_FROM_PTR(x1440);
}
value luv_stub_261_uv_random(value x1446, value x1445, value x1444,
                             value x1443, value x1442, value x1441)
{
   uv_loop_t* x1447 = CTYPES_ADDR_OF_FATPTR(x1446);
   uv_random_t* x1448 = CTYPES_ADDR_OF_FATPTR(x1445);
   char* x1449 = CTYPES_ADDR_OF_FATPTR(x1444);
   size_t x1450 = ctypes_size_t_val(x1443);
   unsigned int x1453 = ctypes_uint_val(x1442);
   void(* x1456)(uv_random_t*, int, void*, size_t) =
   CTYPES_ADDR_OF_FATPTR(x1441);
   int x1457 = uv_random(x1447, x1448, x1449, x1450, x1453, x1456);
   return Val_long(x1457);
}
value luv_stub_261_uv_random_byte6(value* argv, int argc)
{
   value x1458 = argv[5];
   value x1459 = argv[4];
   value x1460 = argv[3];
   value x1461 = argv[2];
   value x1462 = argv[1];
   value x1463 = argv[0];
   return luv_stub_261_uv_random(x1463, x1462, x1461, x1460, x1459, x1458);
}
value luv_stub_262_uv_metrics_idle_time(value x1464)
{
   uv_loop_t* x1465 = CTYPES_ADDR_OF_FATPTR(x1464);
   uint64_t x1466 = uv_metrics_idle_time(x1465);
   return integers_copy_uint64(x1466);
}
value luv_stub_263_uv_metrics_info(value x1468, value x1467)
{
   uv_loop_t* x1469 = CTYPES_ADDR_OF_FATPTR(x1468);
   uv_metrics_t* x1470 = CTYPES_ADDR_OF_FATPTR(x1467);
   int x1471 = uv_metrics_info(x1469, x1470);
   return Val_long(x1471);
}
value luv_stub_264_luv_utf16_length_as_wtf8(value x1473, value x1472)
{
   char const* x1474 = CTYPES_ADDR_OF_FATPTR(x1473);
   int64_t x1475 = Int64_val(x1472);
   size_t x1478 = luv_utf16_length_as_wtf8(x1474, x1475);
   return ctypes_copy_size_t(x1478);
}
value luv_stub_265_luv_utf16_to_wtf8(value x1482, value x1481, value x1480,
                                     value x1479)
{
   char const* x1483 = CTYPES_ADDR_OF_FATPTR(x1482);
   int64_t x1484 = Int64_val(x1481);
   char** x1487 = CTYPES_ADDR_OF_FATPTR(x1480);
   size_t* x1488 = CTYPES_ADDR_OF_FATPTR(x1479);
   int x1489 = luv_utf16_to_wtf8(x1483, x1484, x1487, x1488);
   return Val_long(x1489);
}
value luv_stub_266_uv_wtf8_length_as_utf16(value x1490)
{
   char const* x1491 = CTYPES_ADDR_OF_FATPTR(x1490);
   ssize_t x1492 = uv_wtf8_length_as_utf16(x1491);
   return caml_copy_int64(x1492);
}
value luv_stub_267_uv_wtf8_to_utf16(value x1495, value x1494, value x1493)
{
   char const* x1496 = CTYPES_ADDR_OF_FATPTR(x1495);
   uint16_t* x1497 = CTYPES_ADDR_OF_FATPTR(x1494);
   size_t x1498 = ctypes_size_t_val(x1493);
   uv_wtf8_to_utf16(x1496, x1497, x1498);
   return Val_unit;
}
value luv_stub_268_free(value x1502)
{
   void* x1503 = CTYPES_ADDR_OF_FATPTR(x1502);
   free(x1503);
   return Val_unit;
}
#include "ctypes_cstubs_internals.h"
#include <caml/threads.h>
value luv_stub_blocking_1_uv_run(value x1506, value x1505)
{
   CAMLparam2 (x1506, x1505);;
   uv_loop_t* x1507 = CTYPES_ADDR_OF_FATPTR(x1506);
   uint32_t x1508 = Uint32_val(x1505);
   caml_release_runtime_system();
   _Bool x1511 = uv_run(x1507, x1508);
   caml_acquire_runtime_system();
   value x1512 = Val_bool(x1511);
   CAMLreturnT(value, x1512);
}
value luv_stub_blocking_2_uv_pipe_bind(value x1516, value x1515)
{
   CAMLparam2 (x1516, x1515);;
   uv_pipe_t* x1517 = CTYPES_ADDR_OF_FATPTR(x1516);
   char const* x1518 = CTYPES_ADDR_OF_FATPTR(x1515);
   caml_release_runtime_system();
   int x1519 = uv_pipe_bind(x1517, x1518);
   caml_acquire_runtime_system();
   value x1520 = Val_long(x1519);
   CAMLreturnT(value, x1520);
}
value luv_stub_blocking_3_uv_pipe_bind2(value x1526, value x1525,
                                        value x1524, value x1523)
{
   CAMLparam4 (x1526, x1525, x1524, x1523);;
   uv_pipe_t* x1527 = CTYPES_ADDR_OF_FATPTR(x1526);
   char const* x1528 = CTYPES_ADDR_OF_FATPTR(x1525);
   size_t x1529 = ctypes_size_t_val(x1524);
   int x1532 = Long_val(x1523);
   caml_release_runtime_system();
   int x1535 = uv_pipe_bind2(x1527, x1528, x1529, x1532);
   caml_acquire_runtime_system();
   value x1536 = Val_long(x1535);
   CAMLreturnT(value, x1536);
}
value luv_stub_blocking_4_luv_get_fs_trampoline(value x1539)
{
   CAMLparam1 (x1539);;
   caml_release_runtime_system();
   void(* x1540)(uv_fs_t*) = luv_get_fs_trampoline();
   caml_acquire_runtime_system();
   value x1541 = CTYPES_FROM_PTR(x1540);
   CAMLreturnT(value, x1541);
}
value luv_stub_blocking_5_luv_null_fs_callback_pointer(value x1544)
{
   CAMLparam1 (x1544);;
   caml_release_runtime_system();
   void(* x1545)(uv_fs_t*) = luv_null_fs_callback_pointer();
   caml_acquire_runtime_system();
   value x1546 = CTYPES_FROM_PTR(x1545);
   CAMLreturnT(value, x1546);
}
value luv_stub_blocking_6_uv_fs_req_cleanup(value x1549)
{
   CAMLparam1 (x1549);;
   uv_fs_t* x1550 = CTYPES_ADDR_OF_FATPTR(x1549);
   caml_release_runtime_system();
   uv_fs_req_cleanup(x1550);
   caml_acquire_runtime_system();
   value x1552 = Val_unit;
   CAMLreturnT(value, x1552);
}
value luv_stub_blocking_7_uv_fs_close(value x1558, value x1557, value x1556,
                                      value x1555)
{
   CAMLparam4 (x1558, x1557, x1556, x1555);;
   uv_loop_t* x1559 = CTYPES_ADDR_OF_FATPTR(x1558);
   uv_fs_t* x1560 = CTYPES_ADDR_OF_FATPTR(x1557);
   int x1561 = Long_val(x1556);
   void(* x1564)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1555);
   caml_release_runtime_system();
   int x1565 = uv_fs_close(x1559, x1560, x1561, x1564);
   caml_acquire_runtime_system();
   value x1566 = Val_long(x1565);
   CAMLreturnT(value, x1566);
}
value luv_stub_blocking_8_uv_fs_open(value x1574, value x1573, value x1572,
                                     value x1571, value x1570, value x1569)
{
   CAMLparam5 (x1574, x1573, x1572, x1571, x1570); CAMLxparam1 (x1569);;
   uv_loop_t* x1575 = CTYPES_ADDR_OF_FATPTR(x1574);
   uv_fs_t* x1576 = CTYPES_ADDR_OF_FATPTR(x1573);
   char const* x1577 = CTYPES_ADDR_OF_FATPTR(x1572);
   int x1578 = Long_val(x1571);
   int x1581 = Long_val(x1570);
   void(* x1584)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1569);
   caml_release_runtime_system();
   int x1585 = uv_fs_open(x1575, x1576, x1577, x1578, x1581, x1584);
   caml_acquire_runtime_system();
   value x1586 = Val_long(x1585);
   CAMLreturnT(value, x1586);
}
value luv_stub_blocking_8_uv_fs_open_byte6(value* argv, int argc)
{
   value x1589 = argv[5];
   value x1590 = argv[4];
   value x1591 = argv[3];
   value x1592 = argv[2];
   value x1593 = argv[1];
   value x1594 = argv[0];
   return
     luv_stub_blocking_8_uv_fs_open(x1594, x1593, x1592, x1591, x1590, x1589);
}
value luv_stub_blocking_9_uv_fs_read(value x1601, value x1600, value x1599,
                                     value x1598, value x1597, value x1596,
                                     value x1595)
{
   CAMLparam5 (x1601, x1600, x1599, x1598, x1597);
   CAMLxparam2 (x1596, x1595);;
   uv_loop_t* x1602 = CTYPES_ADDR_OF_FATPTR(x1601);
   uv_fs_t* x1603 = CTYPES_ADDR_OF_FATPTR(x1600);
   int x1604 = Long_val(x1599);
   uv_buf_t* x1607 = CTYPES_ADDR_OF_FATPTR(x1598);
   unsigned int x1608 = ctypes_uint_val(x1597);
   int64_t x1611 = Int64_val(x1596);
   void(* x1614)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1595);
   caml_release_runtime_system();
   int x1615 = uv_fs_read(x1602, x1603, x1604, x1607, x1608, x1611, x1614);
   caml_acquire_runtime_system();
   value x1616 = Val_long(x1615);
   CAMLreturnT(value, x1616);
}
value luv_stub_blocking_9_uv_fs_read_byte7(value* argv, int argc)
{
   value x1619 = argv[6];
   value x1620 = argv[5];
   value x1621 = argv[4];
   value x1622 = argv[3];
   value x1623 = argv[2];
   value x1624 = argv[1];
   value x1625 = argv[0];
   return
     luv_stub_blocking_9_uv_fs_read(x1625, x1624, x1623, x1622, x1621, 
                                    x1620, x1619);
}
value luv_stub_blocking_10_uv_fs_write(value x1632, value x1631, value x1630,
                                       value x1629, value x1628, value x1627,
                                       value x1626)
{
   CAMLparam5 (x1632, x1631, x1630, x1629, x1628);
   CAMLxparam2 (x1627, x1626);;
   uv_loop_t* x1633 = CTYPES_ADDR_OF_FATPTR(x1632);
   uv_fs_t* x1634 = CTYPES_ADDR_OF_FATPTR(x1631);
   int x1635 = Long_val(x1630);
   uv_buf_t* x1638 = CTYPES_ADDR_OF_FATPTR(x1629);
   unsigned int x1639 = ctypes_uint_val(x1628);
   int64_t x1642 = Int64_val(x1627);
   void(* x1645)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1626);
   caml_release_runtime_system();
   int x1646 = uv_fs_write(x1633, x1634, x1635, x1638, x1639, x1642, x1645);
   caml_acquire_runtime_system();
   value x1647 = Val_long(x1646);
   CAMLreturnT(value, x1647);
}
value luv_stub_blocking_10_uv_fs_write_byte7(value* argv, int argc)
{
   value x1650 = argv[6];
   value x1651 = argv[5];
   value x1652 = argv[4];
   value x1653 = argv[3];
   value x1654 = argv[2];
   value x1655 = argv[1];
   value x1656 = argv[0];
   return
     luv_stub_blocking_10_uv_fs_write(x1656, x1655, x1654, x1653, x1652,
                                      x1651, x1650);
}
value luv_stub_blocking_11_uv_fs_unlink(value x1660, value x1659,
                                        value x1658, value x1657)
{
   CAMLparam4 (x1660, x1659, x1658, x1657);;
   uv_loop_t* x1661 = CTYPES_ADDR_OF_FATPTR(x1660);
   uv_fs_t* x1662 = CTYPES_ADDR_OF_FATPTR(x1659);
   char const* x1663 = CTYPES_ADDR_OF_FATPTR(x1658);
   void(* x1664)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1657);
   caml_release_runtime_system();
   int x1665 = uv_fs_unlink(x1661, x1662, x1663, x1664);
   caml_acquire_runtime_system();
   value x1666 = Val_long(x1665);
   CAMLreturnT(value, x1666);
}
value luv_stub_blocking_12_uv_fs_mkdir(value x1673, value x1672, value x1671,
                                       value x1670, value x1669)
{
   CAMLparam5 (x1673, x1672, x1671, x1670, x1669); ;
   uv_loop_t* x1674 = CTYPES_ADDR_OF_FATPTR(x1673);
   uv_fs_t* x1675 = CTYPES_ADDR_OF_FATPTR(x1672);
   char const* x1676 = CTYPES_ADDR_OF_FATPTR(x1671);
   int x1677 = Long_val(x1670);
   void(* x1680)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1669);
   caml_release_runtime_system();
   int x1681 = uv_fs_mkdir(x1674, x1675, x1676, x1677, x1680);
   caml_acquire_runtime_system();
   value x1682 = Val_long(x1681);
   CAMLreturnT(value, x1682);
}
value luv_stub_blocking_13_uv_fs_mkdtemp(value x1688, value x1687,
                                         value x1686, value x1685)
{
   CAMLparam4 (x1688, x1687, x1686, x1685);;
   uv_loop_t* x1689 = CTYPES_ADDR_OF_FATPTR(x1688);
   uv_fs_t* x1690 = CTYPES_ADDR_OF_FATPTR(x1687);
   char const* x1691 = CTYPES_ADDR_OF_FATPTR(x1686);
   void(* x1692)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1685);
   caml_release_runtime_system();
   int x1693 = uv_fs_mkdtemp(x1689, x1690, x1691, x1692);
   caml_acquire_runtime_system();
   value x1694 = Val_long(x1693);
   CAMLreturnT(value, x1694);
}
value luv_stub_blocking_14_uv_fs_mkstemp(value x1700, value x1699,
                                         value x1698, value x1697)
{
   CAMLparam4 (x1700, x1699, x1698, x1697);;
   uv_loop_t* x1701 = CTYPES_ADDR_OF_FATPTR(x1700);
   uv_fs_t* x1702 = CTYPES_ADDR_OF_FATPTR(x1699);
   char const* x1703 = CTYPES_ADDR_OF_FATPTR(x1698);
   void(* x1704)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1697);
   caml_release_runtime_system();
   int x1705 = uv_fs_mkstemp(x1701, x1702, x1703, x1704);
   caml_acquire_runtime_system();
   value x1706 = Val_long(x1705);
   CAMLreturnT(value, x1706);
}
value luv_stub_blocking_15_uv_fs_rmdir(value x1712, value x1711, value x1710,
                                       value x1709)
{
   CAMLparam4 (x1712, x1711, x1710, x1709);;
   uv_loop_t* x1713 = CTYPES_ADDR_OF_FATPTR(x1712);
   uv_fs_t* x1714 = CTYPES_ADDR_OF_FATPTR(x1711);
   char const* x1715 = CTYPES_ADDR_OF_FATPTR(x1710);
   void(* x1716)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1709);
   caml_release_runtime_system();
   int x1717 = uv_fs_rmdir(x1713, x1714, x1715, x1716);
   caml_acquire_runtime_system();
   value x1718 = Val_long(x1717);
   CAMLreturnT(value, x1718);
}
value luv_stub_blocking_16_uv_fs_opendir(value x1724, value x1723,
                                         value x1722, value x1721)
{
   CAMLparam4 (x1724, x1723, x1722, x1721);;
   uv_loop_t* x1725 = CTYPES_ADDR_OF_FATPTR(x1724);
   uv_fs_t* x1726 = CTYPES_ADDR_OF_FATPTR(x1723);
   char const* x1727 = CTYPES_ADDR_OF_FATPTR(x1722);
   void(* x1728)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1721);
   caml_release_runtime_system();
   int x1729 = uv_fs_opendir(x1725, x1726, x1727, x1728);
   caml_acquire_runtime_system();
   value x1730 = Val_long(x1729);
   CAMLreturnT(value, x1730);
}
value luv_stub_blocking_17_uv_fs_closedir(value x1736, value x1735,
                                          value x1734, value x1733)
{
   CAMLparam4 (x1736, x1735, x1734, x1733);;
   uv_loop_t* x1737 = CTYPES_ADDR_OF_FATPTR(x1736);
   uv_fs_t* x1738 = CTYPES_ADDR_OF_FATPTR(x1735);
   uv_dir_t* x1739 = CTYPES_ADDR_OF_FATPTR(x1734);
   void(* x1740)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1733);
   caml_release_runtime_system();
   int x1741 = uv_fs_closedir(x1737, x1738, x1739, x1740);
   caml_acquire_runtime_system();
   value x1742 = Val_long(x1741);
   CAMLreturnT(value, x1742);
}
value luv_stub_blocking_18_uv_fs_readdir(value x1748, value x1747,
                                         value x1746, value x1745)
{
   CAMLparam4 (x1748, x1747, x1746, x1745);;
   uv_loop_t* x1749 = CTYPES_ADDR_OF_FATPTR(x1748);
   uv_fs_t* x1750 = CTYPES_ADDR_OF_FATPTR(x1747);
   uv_dir_t* x1751 = CTYPES_ADDR_OF_FATPTR(x1746);
   void(* x1752)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1745);
   caml_release_runtime_system();
   int x1753 = uv_fs_readdir(x1749, x1750, x1751, x1752);
   caml_acquire_runtime_system();
   value x1754 = Val_long(x1753);
   CAMLreturnT(value, x1754);
}
value luv_stub_blocking_19_uv_fs_scandir(value x1761, value x1760,
                                         value x1759, value x1758,
                                         value x1757)
{
   CAMLparam5 (x1761, x1760, x1759, x1758, x1757); ;
   uv_loop_t* x1762 = CTYPES_ADDR_OF_FATPTR(x1761);
   uv_fs_t* x1763 = CTYPES_ADDR_OF_FATPTR(x1760);
   char const* x1764 = CTYPES_ADDR_OF_FATPTR(x1759);
   int x1765 = Long_val(x1758);
   void(* x1768)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1757);
   caml_release_runtime_system();
   int x1769 = uv_fs_scandir(x1762, x1763, x1764, x1765, x1768);
   caml_acquire_runtime_system();
   value x1770 = Val_long(x1769);
   CAMLreturnT(value, x1770);
}
value luv_stub_blocking_20_uv_fs_scandir_next(value x1774, value x1773)
{
   CAMLparam2 (x1774, x1773);;
   uv_fs_t* x1775 = CTYPES_ADDR_OF_FATPTR(x1774);
   uv_dirent_t* x1776 = CTYPES_ADDR_OF_FATPTR(x1773);
   caml_release_runtime_system();
   int x1777 = uv_fs_scandir_next(x1775, x1776);
   caml_acquire_runtime_system();
   value x1778 = Val_long(x1777);
   CAMLreturnT(value, x1778);
}
value luv_stub_blocking_21_uv_fs_stat(value x1784, value x1783, value x1782,
                                      value x1781)
{
   CAMLparam4 (x1784, x1783, x1782, x1781);;
   uv_loop_t* x1785 = CTYPES_ADDR_OF_FATPTR(x1784);
   uv_fs_t* x1786 = CTYPES_ADDR_OF_FATPTR(x1783);
   char const* x1787 = CTYPES_ADDR_OF_FATPTR(x1782);
   void(* x1788)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1781);
   caml_release_runtime_system();
   int x1789 = uv_fs_stat(x1785, x1786, x1787, x1788);
   caml_acquire_runtime_system();
   value x1790 = Val_long(x1789);
   CAMLreturnT(value, x1790);
}
value luv_stub_blocking_22_uv_fs_lstat(value x1796, value x1795, value x1794,
                                       value x1793)
{
   CAMLparam4 (x1796, x1795, x1794, x1793);;
   uv_loop_t* x1797 = CTYPES_ADDR_OF_FATPTR(x1796);
   uv_fs_t* x1798 = CTYPES_ADDR_OF_FATPTR(x1795);
   char const* x1799 = CTYPES_ADDR_OF_FATPTR(x1794);
   void(* x1800)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1793);
   caml_release_runtime_system();
   int x1801 = uv_fs_lstat(x1797, x1798, x1799, x1800);
   caml_acquire_runtime_system();
   value x1802 = Val_long(x1801);
   CAMLreturnT(value, x1802);
}
value luv_stub_blocking_23_uv_fs_fstat(value x1808, value x1807, value x1806,
                                       value x1805)
{
   CAMLparam4 (x1808, x1807, x1806, x1805);;
   uv_loop_t* x1809 = CTYPES_ADDR_OF_FATPTR(x1808);
   uv_fs_t* x1810 = CTYPES_ADDR_OF_FATPTR(x1807);
   int x1811 = Long_val(x1806);
   void(* x1814)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1805);
   caml_release_runtime_system();
   int x1815 = uv_fs_fstat(x1809, x1810, x1811, x1814);
   caml_acquire_runtime_system();
   value x1816 = Val_long(x1815);
   CAMLreturnT(value, x1816);
}
value luv_stub_blocking_24_uv_fs_statfs(value x1822, value x1821,
                                        value x1820, value x1819)
{
   CAMLparam4 (x1822, x1821, x1820, x1819);;
   uv_loop_t* x1823 = CTYPES_ADDR_OF_FATPTR(x1822);
   uv_fs_t* x1824 = CTYPES_ADDR_OF_FATPTR(x1821);
   char const* x1825 = CTYPES_ADDR_OF_FATPTR(x1820);
   void(* x1826)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1819);
   caml_release_runtime_system();
   int x1827 = uv_fs_statfs(x1823, x1824, x1825, x1826);
   caml_acquire_runtime_system();
   value x1828 = Val_long(x1827);
   CAMLreturnT(value, x1828);
}
value luv_stub_blocking_25_uv_fs_rename(value x1835, value x1834,
                                        value x1833, value x1832,
                                        value x1831)
{
   CAMLparam5 (x1835, x1834, x1833, x1832, x1831); ;
   uv_loop_t* x1836 = CTYPES_ADDR_OF_FATPTR(x1835);
   uv_fs_t* x1837 = CTYPES_ADDR_OF_FATPTR(x1834);
   char const* x1838 = CTYPES_ADDR_OF_FATPTR(x1833);
   char const* x1839 = CTYPES_ADDR_OF_FATPTR(x1832);
   void(* x1840)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1831);
   caml_release_runtime_system();
   int x1841 = uv_fs_rename(x1836, x1837, x1838, x1839, x1840);
   caml_acquire_runtime_system();
   value x1842 = Val_long(x1841);
   CAMLreturnT(value, x1842);
}
value luv_stub_blocking_26_uv_fs_fsync(value x1848, value x1847, value x1846,
                                       value x1845)
{
   CAMLparam4 (x1848, x1847, x1846, x1845);;
   uv_loop_t* x1849 = CTYPES_ADDR_OF_FATPTR(x1848);
   uv_fs_t* x1850 = CTYPES_ADDR_OF_FATPTR(x1847);
   int x1851 = Long_val(x1846);
   void(* x1854)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1845);
   caml_release_runtime_system();
   int x1855 = uv_fs_fsync(x1849, x1850, x1851, x1854);
   caml_acquire_runtime_system();
   value x1856 = Val_long(x1855);
   CAMLreturnT(value, x1856);
}
value luv_stub_blocking_27_uv_fs_fdatasync(value x1862, value x1861,
                                           value x1860, value x1859)
{
   CAMLparam4 (x1862, x1861, x1860, x1859);;
   uv_loop_t* x1863 = CTYPES_ADDR_OF_FATPTR(x1862);
   uv_fs_t* x1864 = CTYPES_ADDR_OF_FATPTR(x1861);
   int x1865 = Long_val(x1860);
   void(* x1868)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1859);
   caml_release_runtime_system();
   int x1869 = uv_fs_fdatasync(x1863, x1864, x1865, x1868);
   caml_acquire_runtime_system();
   value x1870 = Val_long(x1869);
   CAMLreturnT(value, x1870);
}
value luv_stub_blocking_28_uv_fs_ftruncate(value x1877, value x1876,
                                           value x1875, value x1874,
                                           value x1873)
{
   CAMLparam5 (x1877, x1876, x1875, x1874, x1873); ;
   uv_loop_t* x1878 = CTYPES_ADDR_OF_FATPTR(x1877);
   uv_fs_t* x1879 = CTYPES_ADDR_OF_FATPTR(x1876);
   int x1880 = Long_val(x1875);
   int64_t x1883 = Int64_val(x1874);
   void(* x1886)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1873);
   caml_release_runtime_system();
   int x1887 = uv_fs_ftruncate(x1878, x1879, x1880, x1883, x1886);
   caml_acquire_runtime_system();
   value x1888 = Val_long(x1887);
   CAMLreturnT(value, x1888);
}
value luv_stub_blocking_29_uv_fs_copyfile(value x1896, value x1895,
                                          value x1894, value x1893,
                                          value x1892, value x1891)
{
   CAMLparam5 (x1896, x1895, x1894, x1893, x1892); CAMLxparam1 (x1891);;
   uv_loop_t* x1897 = CTYPES_ADDR_OF_FATPTR(x1896);
   uv_fs_t* x1898 = CTYPES_ADDR_OF_FATPTR(x1895);
   char const* x1899 = CTYPES_ADDR_OF_FATPTR(x1894);
   char const* x1900 = CTYPES_ADDR_OF_FATPTR(x1893);
   int x1901 = Long_val(x1892);
   void(* x1904)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1891);
   caml_release_runtime_system();
   int x1905 = uv_fs_copyfile(x1897, x1898, x1899, x1900, x1901, x1904);
   caml_acquire_runtime_system();
   value x1906 = Val_long(x1905);
   CAMLreturnT(value, x1906);
}
value luv_stub_blocking_29_uv_fs_copyfile_byte6(value* argv, int argc)
{
   value x1909 = argv[5];
   value x1910 = argv[4];
   value x1911 = argv[3];
   value x1912 = argv[2];
   value x1913 = argv[1];
   value x1914 = argv[0];
   return
     luv_stub_blocking_29_uv_fs_copyfile(x1914, x1913, x1912, x1911, 
                                         x1910, x1909);
}
value luv_stub_blocking_30_uv_fs_sendfile(value x1921, value x1920,
                                          value x1919, value x1918,
                                          value x1917, value x1916,
                                          value x1915)
{
   CAMLparam5 (x1921, x1920, x1919, x1918, x1917);
   CAMLxparam2 (x1916, x1915);;
   uv_loop_t* x1922 = CTYPES_ADDR_OF_FATPTR(x1921);
   uv_fs_t* x1923 = CTYPES_ADDR_OF_FATPTR(x1920);
   int x1924 = Long_val(x1919);
   int x1927 = Long_val(x1918);
   int64_t x1930 = Int64_val(x1917);
   size_t x1933 = ctypes_size_t_val(x1916);
   void(* x1936)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1915);
   caml_release_runtime_system();
   int x1937 =
   uv_fs_sendfile(x1922, x1923, x1924, x1927, x1930, x1933, x1936);
   caml_acquire_runtime_system();
   value x1938 = Val_long(x1937);
   CAMLreturnT(value, x1938);
}
value luv_stub_blocking_30_uv_fs_sendfile_byte7(value* argv, int argc)
{
   value x1941 = argv[6];
   value x1942 = argv[5];
   value x1943 = argv[4];
   value x1944 = argv[3];
   value x1945 = argv[2];
   value x1946 = argv[1];
   value x1947 = argv[0];
   return
     luv_stub_blocking_30_uv_fs_sendfile(x1947, x1946, x1945, x1944, 
                                         x1943, x1942, x1941);
}
value luv_stub_blocking_31_uv_fs_access(value x1952, value x1951,
                                        value x1950, value x1949,
                                        value x1948)
{
   CAMLparam5 (x1952, x1951, x1950, x1949, x1948); ;
   uv_loop_t* x1953 = CTYPES_ADDR_OF_FATPTR(x1952);
   uv_fs_t* x1954 = CTYPES_ADDR_OF_FATPTR(x1951);
   char const* x1955 = CTYPES_ADDR_OF_FATPTR(x1950);
   int x1956 = Long_val(x1949);
   void(* x1959)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1948);
   caml_release_runtime_system();
   int x1960 = uv_fs_access(x1953, x1954, x1955, x1956, x1959);
   caml_acquire_runtime_system();
   value x1961 = Val_long(x1960);
   CAMLreturnT(value, x1961);
}
value luv_stub_blocking_32_uv_fs_chmod(value x1968, value x1967, value x1966,
                                       value x1965, value x1964)
{
   CAMLparam5 (x1968, x1967, x1966, x1965, x1964); ;
   uv_loop_t* x1969 = CTYPES_ADDR_OF_FATPTR(x1968);
   uv_fs_t* x1970 = CTYPES_ADDR_OF_FATPTR(x1967);
   char const* x1971 = CTYPES_ADDR_OF_FATPTR(x1966);
   int x1972 = Long_val(x1965);
   void(* x1975)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1964);
   caml_release_runtime_system();
   int x1976 = uv_fs_chmod(x1969, x1970, x1971, x1972, x1975);
   caml_acquire_runtime_system();
   value x1977 = Val_long(x1976);
   CAMLreturnT(value, x1977);
}
value luv_stub_blocking_33_uv_fs_fchmod(value x1984, value x1983,
                                        value x1982, value x1981,
                                        value x1980)
{
   CAMLparam5 (x1984, x1983, x1982, x1981, x1980); ;
   uv_loop_t* x1985 = CTYPES_ADDR_OF_FATPTR(x1984);
   uv_fs_t* x1986 = CTYPES_ADDR_OF_FATPTR(x1983);
   int x1987 = Long_val(x1982);
   int x1990 = Long_val(x1981);
   void(* x1993)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1980);
   caml_release_runtime_system();
   int x1994 = uv_fs_fchmod(x1985, x1986, x1987, x1990, x1993);
   caml_acquire_runtime_system();
   value x1995 = Val_long(x1994);
   CAMLreturnT(value, x1995);
}
value luv_stub_blocking_34_uv_fs_utime(value x2003, value x2002, value x2001,
                                       value x2000, value x1999, value x1998)
{
   CAMLparam5 (x2003, x2002, x2001, x2000, x1999); CAMLxparam1 (x1998);;
   uv_loop_t* x2004 = CTYPES_ADDR_OF_FATPTR(x2003);
   uv_fs_t* x2005 = CTYPES_ADDR_OF_FATPTR(x2002);
   char const* x2006 = CTYPES_ADDR_OF_FATPTR(x2001);
   double x2007 = Double_val(x2000);
   double x2010 = Double_val(x1999);
   void(* x2013)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x1998);
   caml_release_runtime_system();
   int x2014 =
   uv_fs_utime(x2004, x2005, x2006, (float)x2007, (float)x2010, x2013);
   caml_acquire_runtime_system();
   value x2015 = Val_long(x2014);
   CAMLreturnT(value, x2015);
}
value luv_stub_blocking_34_uv_fs_utime_byte6(value* argv, int argc)
{
   value x2018 = argv[5];
   value x2019 = argv[4];
   value x2020 = argv[3];
   value x2021 = argv[2];
   value x2022 = argv[1];
   value x2023 = argv[0];
   return
     luv_stub_blocking_34_uv_fs_utime(x2023, x2022, x2021, x2020, x2019,
                                      x2018);
}
value luv_stub_blocking_35_uv_fs_futime(value x2029, value x2028,
                                        value x2027, value x2026,
                                        value x2025, value x2024)
{
   CAMLparam5 (x2029, x2028, x2027, x2026, x2025); CAMLxparam1 (x2024);;
   uv_loop_t* x2030 = CTYPES_ADDR_OF_FATPTR(x2029);
   uv_fs_t* x2031 = CTYPES_ADDR_OF_FATPTR(x2028);
   int x2032 = Long_val(x2027);
   double x2035 = Double_val(x2026);
   double x2038 = Double_val(x2025);
   void(* x2041)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x2024);
   caml_release_runtime_system();
   int x2042 =
   uv_fs_futime(x2030, x2031, x2032, (float)x2035, (float)x2038, x2041);
   caml_acquire_runtime_system();
   value x2043 = Val_long(x2042);
   CAMLreturnT(value, x2043);
}
value luv_stub_blocking_35_uv_fs_futime_byte6(value* argv, int argc)
{
   value x2046 = argv[5];
   value x2047 = argv[4];
   value x2048 = argv[3];
   value x2049 = argv[2];
   value x2050 = argv[1];
   value x2051 = argv[0];
   return
     luv_stub_blocking_35_uv_fs_futime(x2051, x2050, x2049, x2048, x2047,
                                       x2046);
}
value luv_stub_blocking_36_uv_fs_lutime(value x2057, value x2056,
                                        value x2055, value x2054,
                                        value x2053, value x2052)
{
   CAMLparam5 (x2057, x2056, x2055, x2054, x2053); CAMLxparam1 (x2052);;
   uv_loop_t* x2058 = CTYPES_ADDR_OF_FATPTR(x2057);
   uv_fs_t* x2059 = CTYPES_ADDR_OF_FATPTR(x2056);
   char const* x2060 = CTYPES_ADDR_OF_FATPTR(x2055);
   double x2061 = Double_val(x2054);
   double x2064 = Double_val(x2053);
   void(* x2067)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x2052);
   caml_release_runtime_system();
   int x2068 =
   uv_fs_lutime(x2058, x2059, x2060, (float)x2061, (float)x2064, x2067);
   caml_acquire_runtime_system();
   value x2069 = Val_long(x2068);
   CAMLreturnT(value, x2069);
}
value luv_stub_blocking_36_uv_fs_lutime_byte6(value* argv, int argc)
{
   value x2072 = argv[5];
   value x2073 = argv[4];
   value x2074 = argv[3];
   value x2075 = argv[2];
   value x2076 = argv[1];
   value x2077 = argv[0];
   return
     luv_stub_blocking_36_uv_fs_lutime(x2077, x2076, x2075, x2074, x2073,
                                       x2072);
}
value luv_stub_blocking_37_uv_fs_link(value x2082, value x2081, value x2080,
                                      value x2079, value x2078)
{
   CAMLparam5 (x2082, x2081, x2080, x2079, x2078); ;
   uv_loop_t* x2083 = CTYPES_ADDR_OF_FATPTR(x2082);
   uv_fs_t* x2084 = CTYPES_ADDR_OF_FATPTR(x2081);
   char const* x2085 = CTYPES_ADDR_OF_FATPTR(x2080);
   char const* x2086 = CTYPES_ADDR_OF_FATPTR(x2079);
   void(* x2087)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x2078);
   caml_release_runtime_system();
   int x2088 = uv_fs_link(x2083, x2084, x2085, x2086, x2087);
   caml_acquire_runtime_system();
   value x2089 = Val_long(x2088);
   CAMLreturnT(value, x2089);
}
value luv_stub_blocking_38_uv_fs_symlink(value x2097, value x2096,
                                         value x2095, value x2094,
                                         value x2093, value x2092)
{
   CAMLparam5 (x2097, x2096, x2095, x2094, x2093); CAMLxparam1 (x2092);;
   uv_loop_t* x2098 = CTYPES_ADDR_OF_FATPTR(x2097);
   uv_fs_t* x2099 = CTYPES_ADDR_OF_FATPTR(x2096);
   char const* x2100 = CTYPES_ADDR_OF_FATPTR(x2095);
   char const* x2101 = CTYPES_ADDR_OF_FATPTR(x2094);
   int x2102 = Long_val(x2093);
   void(* x2105)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x2092);
   caml_release_runtime_system();
   int x2106 = uv_fs_symlink(x2098, x2099, x2100, x2101, x2102, x2105);
   caml_acquire_runtime_system();
   value x2107 = Val_long(x2106);
   CAMLreturnT(value, x2107);
}
value luv_stub_blocking_38_uv_fs_symlink_byte6(value* argv, int argc)
{
   value x2110 = argv[5];
   value x2111 = argv[4];
   value x2112 = argv[3];
   value x2113 = argv[2];
   value x2114 = argv[1];
   value x2115 = argv[0];
   return
     luv_stub_blocking_38_uv_fs_symlink(x2115, x2114, x2113, x2112, x2111,
                                        x2110);
}
value luv_stub_blocking_39_uv_fs_readlink(value x2119, value x2118,
                                          value x2117, value x2116)
{
   CAMLparam4 (x2119, x2118, x2117, x2116);;
   uv_loop_t* x2120 = CTYPES_ADDR_OF_FATPTR(x2119);
   uv_fs_t* x2121 = CTYPES_ADDR_OF_FATPTR(x2118);
   char const* x2122 = CTYPES_ADDR_OF_FATPTR(x2117);
   void(* x2123)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x2116);
   caml_release_runtime_system();
   int x2124 = uv_fs_readlink(x2120, x2121, x2122, x2123);
   caml_acquire_runtime_system();
   value x2125 = Val_long(x2124);
   CAMLreturnT(value, x2125);
}
value luv_stub_blocking_40_uv_fs_realpath(value x2131, value x2130,
                                          value x2129, value x2128)
{
   CAMLparam4 (x2131, x2130, x2129, x2128);;
   uv_loop_t* x2132 = CTYPES_ADDR_OF_FATPTR(x2131);
   uv_fs_t* x2133 = CTYPES_ADDR_OF_FATPTR(x2130);
   char const* x2134 = CTYPES_ADDR_OF_FATPTR(x2129);
   void(* x2135)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x2128);
   caml_release_runtime_system();
   int x2136 = uv_fs_realpath(x2132, x2133, x2134, x2135);
   caml_acquire_runtime_system();
   value x2137 = Val_long(x2136);
   CAMLreturnT(value, x2137);
}
value luv_stub_blocking_41_uv_fs_chown(value x2145, value x2144, value x2143,
                                       value x2142, value x2141, value x2140)
{
   CAMLparam5 (x2145, x2144, x2143, x2142, x2141); CAMLxparam1 (x2140);;
   uv_loop_t* x2146 = CTYPES_ADDR_OF_FATPTR(x2145);
   uv_fs_t* x2147 = CTYPES_ADDR_OF_FATPTR(x2144);
   char const* x2148 = CTYPES_ADDR_OF_FATPTR(x2143);
   int x2149 = Long_val(x2142);
   int x2152 = Long_val(x2141);
   void(* x2155)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x2140);
   caml_release_runtime_system();
   int x2156 = uv_fs_chown(x2146, x2147, x2148, x2149, x2152, x2155);
   caml_acquire_runtime_system();
   value x2157 = Val_long(x2156);
   CAMLreturnT(value, x2157);
}
value luv_stub_blocking_41_uv_fs_chown_byte6(value* argv, int argc)
{
   value x2160 = argv[5];
   value x2161 = argv[4];
   value x2162 = argv[3];
   value x2163 = argv[2];
   value x2164 = argv[1];
   value x2165 = argv[0];
   return
     luv_stub_blocking_41_uv_fs_chown(x2165, x2164, x2163, x2162, x2161,
                                      x2160);
}
value luv_stub_blocking_42_uv_fs_fchown(value x2171, value x2170,
                                        value x2169, value x2168,
                                        value x2167, value x2166)
{
   CAMLparam5 (x2171, x2170, x2169, x2168, x2167); CAMLxparam1 (x2166);;
   uv_loop_t* x2172 = CTYPES_ADDR_OF_FATPTR(x2171);
   uv_fs_t* x2173 = CTYPES_ADDR_OF_FATPTR(x2170);
   int x2174 = Long_val(x2169);
   int x2177 = Long_val(x2168);
   int x2180 = Long_val(x2167);
   void(* x2183)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x2166);
   caml_release_runtime_system();
   int x2184 = uv_fs_fchown(x2172, x2173, x2174, x2177, x2180, x2183);
   caml_acquire_runtime_system();
   value x2185 = Val_long(x2184);
   CAMLreturnT(value, x2185);
}
value luv_stub_blocking_42_uv_fs_fchown_byte6(value* argv, int argc)
{
   value x2188 = argv[5];
   value x2189 = argv[4];
   value x2190 = argv[3];
   value x2191 = argv[2];
   value x2192 = argv[1];
   value x2193 = argv[0];
   return
     luv_stub_blocking_42_uv_fs_fchown(x2193, x2192, x2191, x2190, x2189,
                                       x2188);
}
value luv_stub_blocking_43_uv_fs_lchown(value x2199, value x2198,
                                        value x2197, value x2196,
                                        value x2195, value x2194)
{
   CAMLparam5 (x2199, x2198, x2197, x2196, x2195); CAMLxparam1 (x2194);;
   uv_loop_t* x2200 = CTYPES_ADDR_OF_FATPTR(x2199);
   uv_fs_t* x2201 = CTYPES_ADDR_OF_FATPTR(x2198);
   char const* x2202 = CTYPES_ADDR_OF_FATPTR(x2197);
   int x2203 = Long_val(x2196);
   int x2206 = Long_val(x2195);
   void(* x2209)(uv_fs_t*) = CTYPES_ADDR_OF_FATPTR(x2194);
   caml_release_runtime_system();
   int x2210 = uv_fs_lchown(x2200, x2201, x2202, x2203, x2206, x2209);
   caml_acquire_runtime_system();
   value x2211 = Val_long(x2210);
   CAMLreturnT(value, x2211);
}
value luv_stub_blocking_43_uv_fs_lchown_byte6(value* argv, int argc)
{
   value x2214 = argv[5];
   value x2215 = argv[4];
   value x2216 = argv[3];
   value x2217 = argv[2];
   value x2218 = argv[1];
   value x2219 = argv[0];
   return
     luv_stub_blocking_43_uv_fs_lchown(x2219, x2218, x2217, x2216, x2215,
                                       x2214);
}
value luv_stub_blocking_44_uv_fs_get_result(value x2220)
{
   CAMLparam1 (x2220);;
   uv_fs_t* x2221 = CTYPES_ADDR_OF_FATPTR(x2220);
   caml_release_runtime_system();
   ssize_t x2222 = uv_fs_get_result(x2221);
   caml_acquire_runtime_system();
   value x2223 = caml_copy_int64(x2222);
   CAMLreturnT(value, x2223);
}
value luv_stub_blocking_45_uv_fs_get_ptr(value x2226)
{
   CAMLparam1 (x2226);;
   uv_fs_t* x2227 = CTYPES_ADDR_OF_FATPTR(x2226);
   caml_release_runtime_system();
   void* x2228 = uv_fs_get_ptr(x2227);
   caml_acquire_runtime_system();
   value x2229 = CTYPES_FROM_PTR(x2228);
   CAMLreturnT(value, x2229);
}
value luv_stub_blocking_46_uv_fs_get_ptr(value x2232)
{
   CAMLparam1 (x2232);;
   uv_fs_t* x2233 = CTYPES_ADDR_OF_FATPTR(x2232);
   caml_release_runtime_system();
   char const* x2234 = uv_fs_get_ptr(x2233);
   caml_acquire_runtime_system();
   value x2235 = CTYPES_FROM_PTR(x2234);
   CAMLreturnT(value, x2235);
}
value luv_stub_blocking_47_luv_fs_get_path(value x2238)
{
   CAMLparam1 (x2238);;
   uv_fs_t* x2239 = CTYPES_ADDR_OF_FATPTR(x2238);
   caml_release_runtime_system();
   char const* x2240 = luv_fs_get_path(x2239);
   caml_acquire_runtime_system();
   value x2241 = CTYPES_FROM_PTR(x2240);
   CAMLreturnT(value, x2241);
}
value luv_stub_blocking_48_uv_fs_get_statbuf(value x2244)
{
   CAMLparam1 (x2244);;
   uv_fs_t* x2245 = CTYPES_ADDR_OF_FATPTR(x2244);
   caml_release_runtime_system();
   uv_stat_t* x2246 = uv_fs_get_statbuf(x2245);
   caml_acquire_runtime_system();
   value x2247 = CTYPES_FROM_PTR(x2246);
   CAMLreturnT(value, x2247);
}
value luv_stub_blocking_49_uv_thread_join(value x2250)
{
   CAMLparam1 (x2250);;
   uv_thread_t* x2251 = CTYPES_ADDR_OF_FATPTR(x2250);
   caml_release_runtime_system();
   int x2252 = uv_thread_join(x2251);
   caml_acquire_runtime_system();
   value x2253 = Val_long(x2252);
   CAMLreturnT(value, x2253);
}
value luv_stub_blocking_50_uv_mutex_lock(value x2256)
{
   CAMLparam1 (x2256);;
   uv_mutex_t* x2257 = CTYPES_ADDR_OF_FATPTR(x2256);
   caml_release_runtime_system();
   uv_mutex_lock(x2257);
   caml_acquire_runtime_system();
   value x2259 = Val_unit;
   CAMLreturnT(value, x2259);
}
value luv_stub_blocking_51_uv_rwlock_rdlock(value x2262)
{
   CAMLparam1 (x2262);;
   uv_rwlock_t* x2263 = CTYPES_ADDR_OF_FATPTR(x2262);
   caml_release_runtime_system();
   uv_rwlock_rdlock(x2263);
   caml_acquire_runtime_system();
   value x2265 = Val_unit;
   CAMLreturnT(value, x2265);
}
value luv_stub_blocking_52_uv_rwlock_wrlock(value x2268)
{
   CAMLparam1 (x2268);;
   uv_rwlock_t* x2269 = CTYPES_ADDR_OF_FATPTR(x2268);
   caml_release_runtime_system();
   uv_rwlock_wrlock(x2269);
   caml_acquire_runtime_system();
   value x2271 = Val_unit;
   CAMLreturnT(value, x2271);
}
value luv_stub_blocking_53_uv_sem_wait(value x2274)
{
   CAMLparam1 (x2274);;
   uv_sem_t* x2275 = CTYPES_ADDR_OF_FATPTR(x2274);
   caml_release_runtime_system();
   uv_sem_wait(x2275);
   caml_acquire_runtime_system();
   value x2277 = Val_unit;
   CAMLreturnT(value, x2277);
}
value luv_stub_blocking_54_uv_cond_wait(value x2281, value x2280)
{
   CAMLparam2 (x2281, x2280);;
   uv_cond_t* x2282 = CTYPES_ADDR_OF_FATPTR(x2281);
   uv_mutex_t* x2283 = CTYPES_ADDR_OF_FATPTR(x2280);
   caml_release_runtime_system();
   uv_cond_wait(x2282, x2283);
   caml_acquire_runtime_system();
   value x2285 = Val_unit;
   CAMLreturnT(value, x2285);
}
value luv_stub_blocking_55_uv_cond_timedwait(value x2290, value x2289,
                                             value x2288)
{
   CAMLparam3 (x2290, x2289, x2288);;
   uv_cond_t* x2291 = CTYPES_ADDR_OF_FATPTR(x2290);
   uv_mutex_t* x2292 = CTYPES_ADDR_OF_FATPTR(x2289);
   uint64_t x2293 = Uint64_val(x2288);
   caml_release_runtime_system();
   int x2296 = uv_cond_timedwait(x2291, x2292, x2293);
   caml_acquire_runtime_system();
   value x2297 = Val_long(x2296);
   CAMLreturnT(value, x2297);
}
value luv_stub_blocking_56_uv_barrier_wait(value x2300)
{
   CAMLparam1 (x2300);;
   uv_barrier_t* x2301 = CTYPES_ADDR_OF_FATPTR(x2300);
   caml_release_runtime_system();
   _Bool x2302 = uv_barrier_wait(x2301);
   caml_acquire_runtime_system();
   value x2303 = Val_bool(x2302);
   CAMLreturnT(value, x2303);
}
value luv_stub_blocking_57_uv_sleep(value x2306)
{
   CAMLparam1 (x2306);;
   int x2307 = Long_val(x2306);
   caml_release_runtime_system();
   uv_sleep(x2307);
   caml_acquire_runtime_system();
   value x2311 = Val_unit;
   CAMLreturnT(value, x2311);
}
value luv_stub_blocking_58_uv_random(value x2319, value x2318, value x2317,
                                     value x2316, value x2315, value x2314)
{
   CAMLparam5 (x2319, x2318, x2317, x2316, x2315); CAMLxparam1 (x2314);;
   uv_loop_t* x2320 = CTYPES_ADDR_OF_FATPTR(x2319);
   uv_random_t* x2321 = CTYPES_ADDR_OF_FATPTR(x2318);
   char* x2322 = CTYPES_ADDR_OF_FATPTR(x2317);
   size_t x2323 = ctypes_size_t_val(x2316);
   unsigned int x2326 = ctypes_uint_val(x2315);
   void(* x2329)(uv_random_t*, int, void*, size_t) =
   CTYPES_ADDR_OF_FATPTR(x2314);
   caml_release_runtime_system();
   int x2330 = uv_random(x2320, x2321, x2322, x2323, x2326, x2329);
   caml_acquire_runtime_system();
   value x2331 = Val_long(x2330);
   CAMLreturnT(value, x2331);
}
value luv_stub_blocking_58_uv_random_byte6(value* argv, int argc)
{
   value x2334 = argv[5];
   value x2335 = argv[4];
   value x2336 = argv[3];
   value x2337 = argv[2];
   value x2338 = argv[1];
   value x2339 = argv[0];
   return
     luv_stub_blocking_58_uv_random(x2339, x2338, x2337, x2336, x2335, x2334);
}
